\section{Open\-MPI File List}
Here is a list of all documented files with brief descriptions:\begin{CompactList}
\item\contentsline{section}{include/{\bf mpi.h} }{\pageref{mpi_8h}}{}
\item\contentsline{section}{include/{\bf mpif.h} }{\pageref{mpif_8h}}{}
\item\contentsline{section}{ompi/attribute/\hyperlink{attribute_8c}{attribute.c} (Back-end MPI attribute engine )}{\pageref{attribute_8c}}{}
\item\contentsline{section}{ompi/attribute/\hyperlink{attribute_8h}{attribute.h} (Implementation for taking care of the attribute that can hang off a comm, win or datatype )}{\pageref{attribute_8h}}{}
\item\contentsline{section}{ompi/attribute/\hyperlink{attribute__predefined_8c}{attribute\_\-predefined.c} (Setup the predefined attributes in MPI )}{\pageref{attribute__predefined_8c}}{}
\item\contentsline{section}{ompi/class/\hyperlink{ompi__bitmap_8h}{ompi\_\-bitmap.h} (A bitmap implementation )}{\pageref{ompi__bitmap_8h}}{}
\item\contentsline{section}{ompi/class/\hyperlink{ompi__circular__buffer__fifo_8h}{ompi\_\-circular\_\-buffer\_\-fifo.h} (This defines a set of functions to create, and manipulate a FIFO set up in a circular buffer )}{\pageref{ompi__circular__buffer__fifo_8h}}{}
\item\contentsline{section}{ompi/class/\hyperlink{ompi__fifo_8h}{ompi\_\-fifo.h} (This defines a set of functions to create, and manipulate a FIFO implemented as a link list of circular buffer FIFO's )}{\pageref{ompi__fifo_8h}}{}
\item\contentsline{section}{ompi/class/{\bf ompi\_\-free\_\-list.h} }{\pageref{ompi__free__list_8h}}{}
\item\contentsline{section}{ompi/class/\hyperlink{ompi__pointer__array_8h}{ompi\_\-pointer\_\-array.h} (See \hyperlink{ompi__bitmap_8h}{ompi\_\-bitmap.h} for an explanation of why there is a split between OMPI and ORTE for this generic class )}{\pageref{ompi__pointer__array_8h}}{}
\item\contentsline{section}{ompi/class/\hyperlink{ompi__rb__tree_8h}{ompi\_\-rb\_\-tree.h} (A red black tree )}{\pageref{ompi__rb__tree_8h}}{}
\item\contentsline{section}{ompi/communicator/{\bf communicator.h} }{\pageref{communicator_8h}}{}
\item\contentsline{section}{ompi/datatype/{\bf convertor.h} }{\pageref{convertor_8h}}{}
\item\contentsline{section}{ompi/datatype/{\bf datatype.h} }{\pageref{datatype_2datatype_8h}}{}
\item\contentsline{section}{ompi/datatype/{\bf datatype\_\-internal.h} }{\pageref{datatype__internal_8h}}{}
\item\contentsline{section}{ompi/datatype/{\bf dt\_\-arch.h} }{\pageref{dt__arch_8h}}{}
\item\contentsline{section}{ompi/debuggers/\hyperlink{debuggers_8h}{debuggers.h} (MPI portion of debugger support )}{\pageref{debuggers_8h}}{}
\item\contentsline{section}{ompi/errhandler/\hyperlink{errclass_8h}{errclass.h} }{\pageref{errclass_8h}}{}
\item\contentsline{section}{ompi/errhandler/\hyperlink{errcode-internal_8h}{errcode-internal.h} }{\pageref{errcode-internal_8h}}{}
\item\contentsline{section}{ompi/errhandler/\hyperlink{errcode_8h}{errcode.h} }{\pageref{errcode_8h}}{}
\item\contentsline{section}{ompi/errhandler/\hyperlink{errhandler_2errhandler_8h}{errhandler.h} }{\pageref{errhandler_2errhandler_8h}}{}
\item\contentsline{section}{ompi/errhandler/{\bf errhandler\_\-predefined.h} }{\pageref{errhandler__predefined_8h}}{}
\item\contentsline{section}{ompi/file/{\bf file.h} }{\pageref{file_2file_8h}}{}
\item\contentsline{section}{ompi/group/\hyperlink{group_2group_8h}{group.h} (Infrastructure for MPI group support )}{\pageref{group_2group_8h}}{}
\item\contentsline{section}{ompi/include/{\bf constants.h} }{\pageref{ompi_2include_2constants_8h}}{}
\item\contentsline{section}{ompi/include/{\bf ompi\_\-socket\_\-errno.h} }{\pageref{ompi__socket__errno_8h}}{}
\item\contentsline{section}{ompi/include/{\bf totalview.h} }{\pageref{ompi_2include_2totalview_8h}}{}
\item\contentsline{section}{ompi/include/{\bf types.h} }{\pageref{types_8h}}{}
\item\contentsline{section}{ompi/info/{\bf info.h} }{\pageref{info_2info_8h}}{}
\item\contentsline{section}{ompi/mca/allocator/\hyperlink{allocator_8h}{allocator.h} (The public definition of the MCA Allocator framework )}{\pageref{allocator_8h}}{}
\item\contentsline{section}{ompi/mca/allocator/base/\hyperlink{ompi_2mca_2allocator_2base_2base_8h}{base.h} }{\pageref{ompi_2mca_2allocator_2base_2base_8h}}{}
\item\contentsline{section}{ompi/mca/allocator/base/{\bf static-components.h} }{\pageref{ompi_2mca_2allocator_2base_2static-components_8h}}{}
\item\contentsline{section}{ompi/mca/allocator/basic/\hyperlink{allocator__basic_8h}{allocator\_\-basic.h} (A generic memory basic allocator )}{\pageref{allocator__basic_8h}}{}
\item\contentsline{section}{ompi/mca/allocator/bucket/\hyperlink{allocator__bucket__alloc_8h}{allocator\_\-bucket\_\-alloc.h} (A generic memory bucket allocator )}{\pageref{allocator__bucket__alloc_8h}}{}
\item\contentsline{section}{ompi/mca/bml/\hyperlink{bml_8h}{bml.h} (BML Management Layer (BML) )}{\pageref{bml_8h}}{}
\item\contentsline{section}{ompi/mca/bml/base/{\bf base.h} }{\pageref{ompi_2mca_2bml_2base_2base_8h}}{}
\item\contentsline{section}{ompi/mca/bml/base/{\bf bml\_\-base\_\-btl.h} }{\pageref{bml__base__btl_8h}}{}
\item\contentsline{section}{ompi/mca/bml/base/{\bf bml\_\-base\_\-endpoint.h} }{\pageref{bml__base__endpoint_8h}}{}
\item\contentsline{section}{ompi/mca/bml/base/{\bf static-components.h} }{\pageref{ompi_2mca_2bml_2base_2static-components_8h}}{}
\item\contentsline{section}{ompi/mca/bml/r2/\hyperlink{bml__r2_8h}{bml\_\-r2.h} (BML Management Layer (BML) )}{\pageref{bml__r2_8h}}{}
\item\contentsline{section}{ompi/mca/bml/r2/\hyperlink{bml__r2__btl_8h}{bml\_\-r2\_\-btl.h} }{\pageref{bml__r2__btl_8h}}{}
\item\contentsline{section}{ompi/mca/btl/\hyperlink{btl_8h}{btl.h} (Bit Mover Interface (BTL) )}{\pageref{btl_8h}}{}
\item\contentsline{section}{ompi/mca/btl/base/\hyperlink{ompi_2mca_2btl_2base_2base_8h}{base.h} }{\pageref{ompi_2mca_2btl_2base_2base_8h}}{}
\item\contentsline{section}{ompi/mca/btl/base/{\bf btl\_\-base\_\-error.h} }{\pageref{btl__base__error_8h}}{}
\item\contentsline{section}{ompi/mca/btl/base/{\bf static-components.h} }{\pageref{ompi_2mca_2btl_2base_2static-components_8h}}{}
\item\contentsline{section}{ompi/mca/btl/gm/\hyperlink{btl__gm_8h}{btl\_\-gm.h} }{\pageref{btl__gm_8h}}{}
\item\contentsline{section}{ompi/mca/btl/gm/{\bf btl\_\-gm\_\-endpoint.h} }{\pageref{btl__gm__endpoint_8h}}{}
\item\contentsline{section}{ompi/mca/btl/gm/{\bf btl\_\-gm\_\-frag.h} }{\pageref{btl__gm__frag_8h}}{}
\item\contentsline{section}{ompi/mca/btl/gm/{\bf btl\_\-gm\_\-proc.h} }{\pageref{btl__gm__proc_8h}}{}
\item\contentsline{section}{ompi/mca/btl/llc/\hyperlink{btl__llc_8h}{btl\_\-llc.h} }{\pageref{btl__llc_8h}}{}
\item\contentsline{section}{ompi/mca/btl/llc/\hyperlink{btl__llc__addr_8h}{btl\_\-llc\_\-addr.h} }{\pageref{btl__llc__addr_8h}}{}
\item\contentsline{section}{ompi/mca/btl/llc/{\bf btl\_\-llc\_\-endpoint.h} }{\pageref{btl__llc__endpoint_8h}}{}
\item\contentsline{section}{ompi/mca/btl/llc/{\bf btl\_\-llc\_\-frag.h} }{\pageref{btl__llc__frag_8h}}{}
\item\contentsline{section}{ompi/mca/btl/llc/{\bf btl\_\-llc\_\-hdr.h} }{\pageref{btl__llc__hdr_8h}}{}
\item\contentsline{section}{ompi/mca/btl/llc/{\bf btl\_\-llc\_\-proc.h} }{\pageref{btl__llc__proc_8h}}{}
\item\contentsline{section}{ompi/mca/btl/mvapi/\hyperlink{btl__mvapi_8h}{btl\_\-mvapi.h} }{\pageref{btl__mvapi_8h}}{}
\item\contentsline{section}{ompi/mca/btl/mvapi/{\bf btl\_\-mvapi\_\-endpoint.h} }{\pageref{btl__mvapi__endpoint_8h}}{}
\item\contentsline{section}{ompi/mca/btl/mvapi/{\bf btl\_\-mvapi\_\-frag.h} }{\pageref{btl__mvapi__frag_8h}}{}
\item\contentsline{section}{ompi/mca/btl/mvapi/{\bf btl\_\-mvapi\_\-proc.h} }{\pageref{btl__mvapi__proc_8h}}{}
\item\contentsline{section}{ompi/mca/btl/mx/\hyperlink{btl__mx_8h}{btl\_\-mx.h} }{\pageref{btl__mx_8h}}{}
\item\contentsline{section}{ompi/mca/btl/mx/{\bf btl\_\-mx\_\-endpoint.h} }{\pageref{btl__mx__endpoint_8h}}{}
\item\contentsline{section}{ompi/mca/btl/mx/{\bf btl\_\-mx\_\-frag.h} }{\pageref{btl__mx__frag_8h}}{}
\item\contentsline{section}{ompi/mca/btl/mx/{\bf btl\_\-mx\_\-proc.h} }{\pageref{btl__mx__proc_8h}}{}
\item\contentsline{section}{ompi/mca/btl/openib/\hyperlink{btl__openib_8h}{btl\_\-openib.h} }{\pageref{btl__openib_8h}}{}
\item\contentsline{section}{ompi/mca/btl/openib/{\bf btl\_\-openib\_\-endpoint.h} }{\pageref{btl__openib__endpoint_8h}}{}
\item\contentsline{section}{ompi/mca/btl/openib/{\bf btl\_\-openib\_\-frag.h} }{\pageref{btl__openib__frag_8h}}{}
\item\contentsline{section}{ompi/mca/btl/openib/{\bf btl\_\-openib\_\-proc.h} }{\pageref{btl__openib__proc_8h}}{}
\item\contentsline{section}{ompi/mca/btl/portals/{\bf btl\_\-portals.h} }{\pageref{btl__portals_8h}}{}
\item\contentsline{section}{ompi/mca/btl/portals/{\bf btl\_\-portals\_\-compat.h} }{\pageref{btl__portals__compat_8h}}{}
\item\contentsline{section}{ompi/mca/btl/portals/{\bf btl\_\-portals\_\-endpoint.h} }{\pageref{btl__portals__endpoint_8h}}{}
\item\contentsline{section}{ompi/mca/btl/portals/{\bf btl\_\-portals\_\-frag.h} }{\pageref{btl__portals__frag_8h}}{}
\item\contentsline{section}{ompi/mca/btl/portals/{\bf btl\_\-portals\_\-recv.h} }{\pageref{btl__portals__recv_8h}}{}
\item\contentsline{section}{ompi/mca/btl/portals/{\bf btl\_\-portals\_\-send.h} }{\pageref{btl__portals__send_8h}}{}
\item\contentsline{section}{ompi/mca/btl/self/\hyperlink{btl__self_8h}{btl\_\-self.h} }{\pageref{btl__self_8h}}{}
\item\contentsline{section}{ompi/mca/btl/self/\hyperlink{btl__self__frag_8h}{btl\_\-self\_\-frag.h} }{\pageref{btl__self__frag_8h}}{}
\item\contentsline{section}{ompi/mca/btl/sm/\hyperlink{btl__sm_8c}{btl\_\-sm.c} (Note that there are effectively two versions of the btl sm module -- one that assumes that the base address of the shared memory segment is the same between pairs of processes (i.e., mmap() returned the same virtual address for the same segment in both processes), and one that assumes that the base addresses are different )}{\pageref{btl__sm_8c}}{}
\item\contentsline{section}{ompi/mca/btl/sm/\hyperlink{btl__sm_8h}{btl\_\-sm.h} }{\pageref{btl__sm_8h}}{}
\item\contentsline{section}{ompi/mca/btl/sm/\hyperlink{btl__sm__endpoint_8h}{btl\_\-sm\_\-endpoint.h} }{\pageref{btl__sm__endpoint_8h}}{}
\item\contentsline{section}{ompi/mca/btl/sm/{\bf btl\_\-sm\_\-fifo.h} }{\pageref{btl__sm__fifo_8h}}{}
\item\contentsline{section}{ompi/mca/btl/sm/\hyperlink{btl__sm__frag_8h}{btl\_\-sm\_\-frag.h} }{\pageref{btl__sm__frag_8h}}{}
\item\contentsline{section}{ompi/mca/btl/tcp/\hyperlink{btl__tcp_8h}{btl\_\-tcp.h} }{\pageref{btl__tcp_8h}}{}
\item\contentsline{section}{ompi/mca/btl/tcp/\hyperlink{btl__tcp__addr_8h}{btl\_\-tcp\_\-addr.h} }{\pageref{btl__tcp__addr_8h}}{}
\item\contentsline{section}{ompi/mca/btl/tcp/{\bf btl\_\-tcp\_\-endpoint.h} }{\pageref{btl__tcp__endpoint_8h}}{}
\item\contentsline{section}{ompi/mca/btl/tcp/{\bf btl\_\-tcp\_\-frag.h} }{\pageref{btl__tcp__frag_8h}}{}
\item\contentsline{section}{ompi/mca/btl/tcp/{\bf btl\_\-tcp\_\-hdr.h} }{\pageref{btl__tcp__hdr_8h}}{}
\item\contentsline{section}{ompi/mca/btl/tcp/{\bf btl\_\-tcp\_\-proc.h} }{\pageref{btl__tcp__proc_8h}}{}
\item\contentsline{section}{ompi/mca/coll/{\bf coll.h} }{\pageref{coll_8h}}{}
\item\contentsline{section}{ompi/mca/coll/base/\hyperlink{ompi_2mca_2coll_2base_2base_8h}{base.h} (MCA coll base framework public interface functions )}{\pageref{ompi_2mca_2coll_2base_2base_8h}}{}
\item\contentsline{section}{ompi/mca/coll/base/{\bf coll\_\-tags.h} }{\pageref{coll__tags_8h}}{}
\item\contentsline{section}{ompi/mca/coll/base/{\bf static-components.h} }{\pageref{ompi_2mca_2coll_2base_2static-components_8h}}{}
\item\contentsline{section}{ompi/mca/coll/basic/{\bf coll\_\-basic.h} }{\pageref{coll__basic_8h}}{}
\item\contentsline{section}{ompi/mca/coll/self/{\bf coll\_\-self.h} }{\pageref{coll__self_8h}}{}
\item\contentsline{section}{ompi/mca/coll/sm/\hyperlink{coll__sm_8h}{coll\_\-sm.h} }{\pageref{coll__sm_8h}}{}
\item\contentsline{section}{ompi/mca/coll/sm/\hyperlink{coll__sm__allreduce_8c}{coll\_\-sm\_\-allreduce.c} }{\pageref{coll__sm__allreduce_8c}}{}
\item\contentsline{section}{ompi/mca/coll/sm/\hyperlink{coll__sm__barrier_8c}{coll\_\-sm\_\-barrier.c} }{\pageref{coll__sm__barrier_8c}}{}
\item\contentsline{section}{ompi/mca/coll/sm/\hyperlink{coll__sm__bcast_8c}{coll\_\-sm\_\-bcast.c} }{\pageref{coll__sm__bcast_8c}}{}
\item\contentsline{section}{ompi/mca/coll/sm/\hyperlink{coll__sm__component_8c}{coll\_\-sm\_\-component.c} (Most of the description of the data layout is in the \hyperlink{coll__sm__module_8c}{coll\_\-sm\_\-module.c} file )}{\pageref{coll__sm__component_8c}}{}
\item\contentsline{section}{ompi/mca/coll/sm/\hyperlink{coll__sm__module_8c}{coll\_\-sm\_\-module.c} (Warning: this is not for the faint of heart -- don't even bother reading this source code if you don't have a strong understanding of nested data structures and pointer math (remember that associativity and order of C operations is $\ast$critical$\ast$ in terms of pointer math!) )}{\pageref{coll__sm__module_8c}}{}
\item\contentsline{section}{ompi/mca/common/sm/{\bf common\_\-sm\_\-mmap.h} }{\pageref{common__sm__mmap_8h}}{}
\item\contentsline{section}{ompi/mca/io/{\bf io.h} }{\pageref{io_8h}}{}
\item\contentsline{section}{ompi/mca/io/base/\hyperlink{ompi_2mca_2io_2base_2base_8h}{base.h} (MCA io base framework public interface functions )}{\pageref{ompi_2mca_2io_2base_2base_8h}}{}
\item\contentsline{section}{ompi/mca/io/base/\hyperlink{io__base__request_8h}{io\_\-base\_\-request.h} (This is the base request type for all IO requests )}{\pageref{io__base__request_8h}}{}
\item\contentsline{section}{ompi/mca/io/base/{\bf static-components.h} }{\pageref{ompi_2mca_2io_2base_2static-components_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/ad\_\-hfs/{\bf ad\_\-hfs.h} }{\pageref{ad__hfs_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/ad\_\-nfs/{\bf ad\_\-nfs.h} }{\pageref{ad__nfs_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/ad\_\-ntfs/{\bf ad\_\-ntfs.h} }{\pageref{ad__ntfs_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/ad\_\-pfs/{\bf ad\_\-pfs.h} }{\pageref{ad__pfs_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/ad\_\-piofs/{\bf ad\_\-piofs.h} }{\pageref{ad__piofs_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/ad\_\-pvfs/{\bf ad\_\-pvfs.h} }{\pageref{ad__pvfs_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/ad\_\-sfs/{\bf ad\_\-sfs.h} }{\pageref{ad__sfs_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/ad\_\-testfs/{\bf ad\_\-testfs.h} }{\pageref{ad__testfs_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/ad\_\-ufs/{\bf ad\_\-ufs.h} }{\pageref{ad__ufs_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/ad\_\-xfs/{\bf ad\_\-xfs.h} }{\pageref{ad__xfs_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/include/{\bf adio.h} }{\pageref{adio_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/include/{\bf adio\_\-extern.h} }{\pageref{adio__extern_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/include/{\bf adioi.h} }{\pageref{adioi_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/include/{\bf adioi\_\-errmsg.h} }{\pageref{adioi__errmsg_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/include/{\bf adioi\_\-error.h} }{\pageref{adioi__error_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/include/{\bf adioi\_\-fs\_\-proto.h} }{\pageref{adioi__fs__proto_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/include/{\bf io\_\-adio\_\-conv.h} }{\pageref{io__adio__conv_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/include/{\bf mpio\_\-error.h} }{\pageref{mpio__error_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/include/{\bf mpipr.h} }{\pageref{mpipr_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/include/{\bf mpisgi2.h} }{\pageref{mpisgi2_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/include/{\bf romioconf-undefs.h} }{\pageref{romioconf-undefs_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/adio/include/{\bf romioconf.h} }{\pageref{romioconf_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/include/{\bf io\_\-romio\_\-conv.h} }{\pageref{io__romio__conv_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/include/{\bf mpio.h} }{\pageref{mpio_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/include/{\bf mpiof.h} }{\pageref{mpiof_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/mpi-io/{\bf mpioimpl.h} }{\pageref{mpioimpl_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/romio/mpi-io/{\bf mpioprof.h} }{\pageref{mpioprof_8h}}{}
\item\contentsline{section}{ompi/mca/io/romio/src/{\bf io\_\-romio.h} }{\pageref{io__romio_8h}}{}
\item\contentsline{section}{ompi/mca/mpool/\hyperlink{mpool_8h}{mpool.h} (Description of the Memory Pool framework )}{\pageref{mpool_8h}}{}
\item\contentsline{section}{ompi/mca/mpool/base/\hyperlink{ompi_2mca_2mpool_2base_2base_8h}{base.h} }{\pageref{ompi_2mca_2mpool_2base_2base_8h}}{}
\item\contentsline{section}{ompi/mca/mpool/base/\hyperlink{mpool__base__mem__cb_8c}{mpool\_\-base\_\-mem\_\-cb.c} }{\pageref{mpool__base__mem__cb_8c}}{}
\item\contentsline{section}{ompi/mca/mpool/base/\hyperlink{mpool__base__mem__cb_8h}{mpool\_\-base\_\-mem\_\-cb.h} }{\pageref{mpool__base__mem__cb_8h}}{}
\item\contentsline{section}{ompi/mca/mpool/base/{\bf static-components.h} }{\pageref{ompi_2mca_2mpool_2base_2static-components_8h}}{}
\item\contentsline{section}{ompi/mca/mpool/gm/\hyperlink{mpool__gm_8h}{mpool\_\-gm.h} }{\pageref{mpool__gm_8h}}{}
\item\contentsline{section}{ompi/mca/mpool/mvapi/\hyperlink{mpool__mvapi_8h}{mpool\_\-mvapi.h} }{\pageref{mpool__mvapi_8h}}{}
\item\contentsline{section}{ompi/mca/mpool/openib/\hyperlink{mpool__openib_8h}{mpool\_\-openib.h} }{\pageref{mpool__openib_8h}}{}
\item\contentsline{section}{ompi/mca/mpool/sm/\hyperlink{mpool__sm_8h}{mpool\_\-sm.h} }{\pageref{mpool__sm_8h}}{}
\item\contentsline{section}{ompi/mca/pml/\hyperlink{pml_8h}{pml.h} (P2P Management Layer (PML) )}{\pageref{pml_8h}}{}
\item\contentsline{section}{ompi/mca/pml/{\bf pml\_\-direct\_\-call.h} }{\pageref{pml__direct__call_8h}}{}
\item\contentsline{section}{ompi/mca/pml/base/{\bf base.h} }{\pageref{ompi_2mca_2pml_2base_2base_8h}}{}
\item\contentsline{section}{ompi/mca/pml/base/{\bf pml\_\-base\_\-bsend.h} }{\pageref{pml__base__bsend_8h}}{}
\item\contentsline{section}{ompi/mca/pml/base/\hyperlink{pml__base__module__exchange_8h}{pml\_\-base\_\-module\_\-exchange.h} }{\pageref{pml__base__module__exchange_8h}}{}
\item\contentsline{section}{ompi/mca/pml/base/\hyperlink{pml__base__recvreq_8h}{pml\_\-base\_\-recvreq.h} }{\pageref{pml__base__recvreq_8h}}{}
\item\contentsline{section}{ompi/mca/pml/base/\hyperlink{pml__base__request_8h}{pml\_\-base\_\-request.h} }{\pageref{pml__base__request_8h}}{}
\item\contentsline{section}{ompi/mca/pml/base/\hyperlink{pml__base__sendreq_8h}{pml\_\-base\_\-sendreq.h} }{\pageref{pml__base__sendreq_8h}}{}
\item\contentsline{section}{ompi/mca/pml/base/{\bf static-components.h} }{\pageref{ompi_2mca_2pml_2base_2static-components_8h}}{}
\item\contentsline{section}{ompi/mca/pml/ob1/\hyperlink{pml__ob1_8h}{pml\_\-ob1.h} }{\pageref{pml__ob1_8h}}{}
\item\contentsline{section}{ompi/mca/pml/ob1/\hyperlink{pml__ob1__comm_8h}{pml\_\-ob1\_\-comm.h} }{\pageref{pml__ob1__comm_8h}}{}
\item\contentsline{section}{ompi/mca/pml/ob1/\hyperlink{pml__ob1__component_8h}{pml\_\-ob1\_\-component.h} }{\pageref{pml__ob1__component_8h}}{}
\item\contentsline{section}{ompi/mca/pml/ob1/\hyperlink{pml__ob1__endpoint_8h}{pml\_\-ob1\_\-endpoint.h} }{\pageref{pml__ob1__endpoint_8h}}{}
\item\contentsline{section}{ompi/mca/pml/ob1/\hyperlink{pml__ob1__hdr_8h}{pml\_\-ob1\_\-hdr.h} }{\pageref{pml__ob1__hdr_8h}}{}
\item\contentsline{section}{ompi/mca/pml/ob1/\hyperlink{pml__ob1__proc_8h}{pml\_\-ob1\_\-proc.h} }{\pageref{pml__ob1__proc_8h}}{}
\item\contentsline{section}{ompi/mca/pml/ob1/\hyperlink{pml__ob1__rdma_8h}{pml\_\-ob1\_\-rdma.h} }{\pageref{pml__ob1__rdma_8h}}{}
\item\contentsline{section}{ompi/mca/pml/ob1/\hyperlink{pml__ob1__rdmafrag_8h}{pml\_\-ob1\_\-rdmafrag.h} }{\pageref{pml__ob1__rdmafrag_8h}}{}
\item\contentsline{section}{ompi/mca/pml/ob1/\hyperlink{pml__ob1__recvfrag_8c}{pml\_\-ob1\_\-recvfrag.c} }{\pageref{pml__ob1__recvfrag_8c}}{}
\item\contentsline{section}{ompi/mca/pml/ob1/\hyperlink{pml__ob1__recvfrag_8h}{pml\_\-ob1\_\-recvfrag.h} }{\pageref{pml__ob1__recvfrag_8h}}{}
\item\contentsline{section}{ompi/mca/pml/ob1/\hyperlink{pml__ob1__recvreq_8h}{pml\_\-ob1\_\-recvreq.h} }{\pageref{pml__ob1__recvreq_8h}}{}
\item\contentsline{section}{ompi/mca/pml/ob1/\hyperlink{pml__ob1__sendreq_8h}{pml\_\-ob1\_\-sendreq.h} }{\pageref{pml__ob1__sendreq_8h}}{}
\item\contentsline{section}{ompi/mca/pml/teg/\hyperlink{pml__ptl__array_8h}{pml\_\-ptl\_\-array.h} }{\pageref{pml__ptl__array_8h}}{}
\item\contentsline{section}{ompi/mca/pml/teg/\hyperlink{pml__teg_8h}{pml\_\-teg.h} }{\pageref{pml__teg_8h}}{}
\item\contentsline{section}{ompi/mca/pml/teg/\hyperlink{pml__teg__component_8h}{pml\_\-teg\_\-component.h} }{\pageref{pml__teg__component_8h}}{}
\item\contentsline{section}{ompi/mca/pml/teg/\hyperlink{pml__teg__proc_8h}{pml\_\-teg\_\-proc.h} }{\pageref{pml__teg__proc_8h}}{}
\item\contentsline{section}{ompi/mca/pml/teg/{\bf pml\_\-teg\_\-ptl.h} }{\pageref{pml__teg__ptl_8h}}{}
\item\contentsline{section}{ompi/mca/pml/teg/\hyperlink{pml__teg__recvfrag_8c}{pml\_\-teg\_\-recvfrag.c} }{\pageref{pml__teg__recvfrag_8c}}{}
\item\contentsline{section}{ompi/mca/pml/teg/\hyperlink{pml__teg__recvfrag_8h}{pml\_\-teg\_\-recvfrag.h} }{\pageref{pml__teg__recvfrag_8h}}{}
\item\contentsline{section}{ompi/mca/pml/teg/\hyperlink{pml__teg__recvreq_8h}{pml\_\-teg\_\-recvreq.h} }{\pageref{pml__teg__recvreq_8h}}{}
\item\contentsline{section}{ompi/mca/pml/teg/\hyperlink{pml__teg__sendreq_8h}{pml\_\-teg\_\-sendreq.h} }{\pageref{pml__teg__sendreq_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/\hyperlink{ptl_8h}{ptl.h} (P2P Transport Layer (PTL) )}{\pageref{ptl_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/base/\hyperlink{ompi_2mca_2ptl_2base_2base_8h}{base.h} }{\pageref{ompi_2mca_2ptl_2base_2base_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/base/\hyperlink{ptl__base__comm_8h}{ptl\_\-base\_\-comm.h} }{\pageref{ptl__base__comm_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/base/\hyperlink{ptl__base__fragment_8h}{ptl\_\-base\_\-fragment.h} }{\pageref{ptl__base__fragment_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/base/\hyperlink{ptl__base__header_8h}{ptl\_\-base\_\-header.h} }{\pageref{ptl__base__header_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/base/\hyperlink{ptl__base__match_8c}{ptl\_\-base\_\-match.c} }{\pageref{ptl__base__match_8c}}{}
\item\contentsline{section}{ompi/mca/ptl/base/\hyperlink{ptl__base__match_8h}{ptl\_\-base\_\-match.h} }{\pageref{ptl__base__match_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/base/\hyperlink{ptl__base__recvfrag_8h}{ptl\_\-base\_\-recvfrag.h} }{\pageref{ptl__base__recvfrag_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/base/\hyperlink{ptl__base__recvreq_8h}{ptl\_\-base\_\-recvreq.h} }{\pageref{ptl__base__recvreq_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/base/\hyperlink{ptl__base__sendfrag_8h}{ptl\_\-base\_\-sendfrag.h} }{\pageref{ptl__base__sendfrag_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/base/\hyperlink{ptl__base__sendreq_8h}{ptl\_\-base\_\-sendreq.h} }{\pageref{ptl__base__sendreq_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/base/{\bf static-components.h} }{\pageref{ompi_2mca_2ptl_2base_2static-components_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/gm/\hyperlink{ptl__gm_8h}{ptl\_\-gm.h} }{\pageref{ptl__gm_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/gm/\hyperlink{ptl__gm__peer_8h}{ptl\_\-gm\_\-peer.h} }{\pageref{ptl__gm__peer_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/gm/{\bf ptl\_\-gm\_\-priv.h} }{\pageref{ptl__gm__priv_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/gm/\hyperlink{ptl__gm__proc_8h}{ptl\_\-gm\_\-proc.h} }{\pageref{ptl__gm__proc_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/gm/\hyperlink{ptl__gm__sendfrag_8h}{ptl\_\-gm\_\-sendfrag.h} }{\pageref{ptl__gm__sendfrag_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/llc/\hyperlink{ptl__llc_8h}{ptl\_\-llc.h} }{\pageref{ptl__llc_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/llc/\hyperlink{ptl__llc__addr_8h}{ptl\_\-llc\_\-addr.h} }{\pageref{ptl__llc__addr_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/llc/\hyperlink{ptl__llc__peer_8h}{ptl\_\-llc\_\-peer.h} }{\pageref{ptl__llc__peer_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/llc/\hyperlink{ptl__llc__proc_8h}{ptl\_\-llc\_\-proc.h} }{\pageref{ptl__llc__proc_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/llc/\hyperlink{ptl__llc__recvfrag_8h}{ptl\_\-llc\_\-recvfrag.h} }{\pageref{ptl__llc__recvfrag_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/llc/\hyperlink{ptl__llc__sendfrag_8h}{ptl\_\-llc\_\-sendfrag.h} }{\pageref{ptl__llc__sendfrag_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/llc/\hyperlink{ptl__llc__sendreq_8h}{ptl\_\-llc\_\-sendreq.h} }{\pageref{ptl__llc__sendreq_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/mx/\hyperlink{ptl__mx_8h}{ptl\_\-mx.h} }{\pageref{ptl__mx_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/mx/\hyperlink{ptl__mx__module_8h}{ptl\_\-mx\_\-module.h} }{\pageref{ptl__mx__module_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/mx/\hyperlink{ptl__mx__peer_8h}{ptl\_\-mx\_\-peer.h} }{\pageref{ptl__mx__peer_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/mx/\hyperlink{ptl__mx__proc_8h}{ptl\_\-mx\_\-proc.h} }{\pageref{ptl__mx__proc_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/mx/\hyperlink{ptl__mx__recvfrag_8h}{ptl\_\-mx\_\-recvfrag.h} }{\pageref{ptl__mx__recvfrag_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/mx/\hyperlink{ptl__mx__sendfrag_8h}{ptl\_\-mx\_\-sendfrag.h} }{\pageref{ptl__mx__sendfrag_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/self/\hyperlink{ptl__self_8h}{ptl\_\-self.h} }{\pageref{ptl__self_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/sm/\hyperlink{ptl__sm_8h}{ptl\_\-sm.h} }{\pageref{ptl__sm_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/sm/\hyperlink{ptl__sm__address_8h}{ptl\_\-sm\_\-address.h} }{\pageref{ptl__sm__address_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/sm/\hyperlink{ptl__sm__frag_8h}{ptl\_\-sm\_\-frag.h} }{\pageref{ptl__sm__frag_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/sm/\hyperlink{ptl__sm__peer_8h}{ptl\_\-sm\_\-peer.h} }{\pageref{ptl__sm__peer_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/sm/\hyperlink{ptl__sm__recvfrag_8h}{ptl\_\-sm\_\-recvfrag.h} }{\pageref{ptl__sm__recvfrag_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/sm/\hyperlink{ptl__sm__sendfrag_8h}{ptl\_\-sm\_\-sendfrag.h} }{\pageref{ptl__sm__sendfrag_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/sm/\hyperlink{ptl__sm__sendreq_8h}{ptl\_\-sm\_\-sendreq.h} }{\pageref{ptl__sm__sendreq_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/tcp/\hyperlink{ptl__tcp_8h}{ptl\_\-tcp.h} }{\pageref{ptl__tcp_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/tcp/\hyperlink{ptl__tcp__addr_8h}{ptl\_\-tcp\_\-addr.h} }{\pageref{ptl__tcp__addr_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/tcp/\hyperlink{ptl__tcp__peer_8h}{ptl\_\-tcp\_\-peer.h} }{\pageref{ptl__tcp__peer_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/tcp/\hyperlink{ptl__tcp__proc_8h}{ptl\_\-tcp\_\-proc.h} }{\pageref{ptl__tcp__proc_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/tcp/\hyperlink{ptl__tcp__recvfrag_8h}{ptl\_\-tcp\_\-recvfrag.h} }{\pageref{ptl__tcp__recvfrag_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/tcp/\hyperlink{ptl__tcp__sendfrag_8h}{ptl\_\-tcp\_\-sendfrag.h} }{\pageref{ptl__tcp__sendfrag_8h}}{}
\item\contentsline{section}{ompi/mca/ptl/tcp/\hyperlink{ptl__tcp__sendreq_8h}{ptl\_\-tcp\_\-sendreq.h} }{\pageref{ptl__tcp__sendreq_8h}}{}
\item\contentsline{section}{ompi/mca/rcache/\hyperlink{rcache_8h}{rcache.h} (Description of the Registration Cache framework )}{\pageref{rcache_8h}}{}
\item\contentsline{section}{ompi/mca/rcache/base/\hyperlink{ompi_2mca_2rcache_2base_2base_8h}{base.h} }{\pageref{ompi_2mca_2rcache_2base_2base_8h}}{}
\item\contentsline{section}{ompi/mca/rcache/base/{\bf static-components.h} }{\pageref{ompi_2mca_2rcache_2base_2static-components_8h}}{}
\item\contentsline{section}{ompi/mca/rcache/rb/\hyperlink{rcache__rb_8h}{rcache\_\-rb.h} (Description of the Registration Cache framework )}{\pageref{rcache__rb_8h}}{}
\item\contentsline{section}{ompi/mca/rcache/rb/\hyperlink{rcache__rb__mru_8c}{rcache\_\-rb\_\-mru.c} (Description of the Registration Cache framework )}{\pageref{rcache__rb__mru_8c}}{}
\item\contentsline{section}{ompi/mca/rcache/rb/\hyperlink{rcache__rb__mru_8h}{rcache\_\-rb\_\-mru.h} (Description of the Registration Cache framework )}{\pageref{rcache__rb__mru_8h}}{}
\item\contentsline{section}{ompi/mca/rcache/rb/\hyperlink{rcache__rb__tree_8c}{rcache\_\-rb\_\-tree.c} (Description of the Registration Cache framework )}{\pageref{rcache__rb__tree_8c}}{}
\item\contentsline{section}{ompi/mca/rcache/rb/\hyperlink{rcache__rb__tree_8h}{rcache\_\-rb\_\-tree.h} (Description of the Registration Cache framework )}{\pageref{rcache__rb__tree_8h}}{}
\item\contentsline{section}{ompi/mca/topo/{\bf topo.h} }{\pageref{topo_8h}}{}
\item\contentsline{section}{ompi/mca/topo/base/{\bf base.h} }{\pageref{ompi_2mca_2topo_2base_2base_8h}}{}
\item\contentsline{section}{ompi/mca/topo/base/{\bf static-components.h} }{\pageref{ompi_2mca_2topo_2base_2static-components_8h}}{}
\item\contentsline{section}{ompi/mca/topo/unity/{\bf topo\_\-unity.h} }{\pageref{topo__unity_8h}}{}
\item\contentsline{section}{ompi/mpi/c/{\bf bindings.h} }{\pageref{c_2bindings_8h}}{}
\item\contentsline{section}{ompi/mpi/c/profile/{\bf defines.h} }{\pageref{c_2profile_2defines_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf comm.h} }{\pageref{comm_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf comm\_\-inln.h} }{\pageref{comm__inln_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf constants.h} }{\pageref{ompi_2mpi_2cxx_2constants_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf datatype.h} }{\pageref{mpi_2cxx_2datatype_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf datatype\_\-inln.h} }{\pageref{datatype__inln_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf errhandler.h} }{\pageref{mpi_2cxx_2errhandler_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf errhandler\_\-inln.h} }{\pageref{errhandler__inln_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf exception.h} }{\pageref{exception_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf file.h} }{\pageref{mpi_2cxx_2file_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf file\_\-inln.h} }{\pageref{file__inln_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf functions.h} }{\pageref{functions_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf functions\_\-inln.h} }{\pageref{functions__inln_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf group.h} }{\pageref{mpi_2cxx_2group_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf group\_\-inln.h} }{\pageref{group__inln_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf info.h} }{\pageref{mpi_2cxx_2info_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf info\_\-inln.h} }{\pageref{info__inln_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf intercomm.h} }{\pageref{intercomm_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf intercomm\_\-inln.h} }{\pageref{intercomm__inln_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf intracomm.h} }{\pageref{intracomm_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf intracomm\_\-inln.h} }{\pageref{intracomm__inln_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf mpicxx.h} }{\pageref{mpicxx_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf op.h} }{\pageref{mpi_2cxx_2op_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf op\_\-inln.h} }{\pageref{op__inln_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf request.h} }{\pageref{mpi_2cxx_2request_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf request\_\-inln.h} }{\pageref{request__inln_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf status.h} }{\pageref{status_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf status\_\-inln.h} }{\pageref{status__inln_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf topology.h} }{\pageref{topology_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf topology\_\-inln.h} }{\pageref{topology__inln_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf win.h} }{\pageref{mpi_2cxx_2win_8h}}{}
\item\contentsline{section}{ompi/mpi/cxx/{\bf win\_\-inln.h} }{\pageref{win__inln_8h}}{}
\item\contentsline{section}{ompi/mpi/f77/{\bf bindings.h} }{\pageref{f77_2bindings_8h}}{}
\item\contentsline{section}{ompi/mpi/f77/{\bf constants.h} }{\pageref{ompi_2mpi_2f77_2constants_8h}}{}
\item\contentsline{section}{ompi/mpi/f77/{\bf fint\_\-2\_\-int.h} }{\pageref{fint__2__int_8h}}{}
\item\contentsline{section}{ompi/mpi/f77/{\bf prototypes\_\-mpi.h} }{\pageref{prototypes__mpi_8h}}{}
\item\contentsline{section}{ompi/mpi/f77/{\bf strings.h} }{\pageref{strings_8h}}{}
\item\contentsline{section}{ompi/mpi/f77/profile/{\bf defines.h} }{\pageref{f77_2profile_2defines_8h}}{}
\item\contentsline{section}{ompi/mpi/f77/profile/{\bf prototypes\_\-pmpi.h} }{\pageref{prototypes__pmpi_8h}}{}
\item\contentsline{section}{ompi/mpi/f90/{\bf fortran\_\-sizes.h} }{\pageref{fortran__sizes_8h}}{}
\item\contentsline{section}{ompi/op/\hyperlink{op_2op_8h}{op.h} (Public interface for the MPI\_\-Op handle )}{\pageref{op_2op_8h}}{}
\item\contentsline{section}{ompi/op/{\bf op\_\-predefined.h} }{\pageref{op__predefined_8h}}{}
\item\contentsline{section}{ompi/proc/{\bf proc.h} }{\pageref{proc_8h}}{}
\item\contentsline{section}{ompi/request/{\bf grequest.h} }{\pageref{grequest_8h}}{}
\item\contentsline{section}{ompi/request/\hyperlink{request_2request_8h}{request.h} (Top-level description of requests )}{\pageref{request_2request_8h}}{}
\item\contentsline{section}{ompi/runtime/\hyperlink{mpiruntime_8h}{mpiruntime.h} (Interface into the MPI portion of the Open MPI Run Time Environment )}{\pageref{mpiruntime_8h}}{}
\item\contentsline{section}{ompi/runtime/{\bf params.h} }{\pageref{params_8h}}{}
\item\contentsline{section}{ompi/tools/ompi\_\-info/{\bf ompi\_\-info.h} }{\pageref{ompi__info_8h}}{}
\item\contentsline{section}{ompi/tools/wrappers/\hyperlink{ompi__wrap_8h}{ompi\_\-wrap.h} (All of these types, global variables, and functions are internal to the ompi\_\-info program )}{\pageref{ompi__wrap_8h}}{}
\item\contentsline{section}{ompi/win/{\bf win.h} }{\pageref{win_2win_8h}}{}
\item\contentsline{section}{ompi/win32/{\bf ompi\_\-declspec.h} }{\pageref{ompi__declspec_8h}}{}
\item\contentsline{section}{ompi/win32/{\bf ompi\_\-misc.h} }{\pageref{ompi__misc_8h}}{}
\item\contentsline{section}{ompi/win32/{\bf ompi\_\-process.h} }{\pageref{ompi__process_8h}}{}
\item\contentsline{section}{ompi/win32/{\bf ompi\_\-time.h} }{\pageref{ompi__time_8h}}{}
\item\contentsline{section}{ompi/win32/{\bf ompi\_\-uio.h} }{\pageref{ompi__uio_8h}}{}
\item\contentsline{section}{ompi/win32/{\bf ompi\_\-util.h} }{\pageref{ompi__util_8h}}{}
\item\contentsline{section}{ompi/win32/{\bf ompi\_\-utsname.h} }{\pageref{ompi__utsname_8h}}{}
\item\contentsline{section}{ompi/win32/{\bf win\_\-compat.h} }{\pageref{win__compat_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf allocator\_\-static-components.h} }{\pageref{allocator__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf coll-basic-version.h} }{\pageref{coll-basic-version_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf coll\_\-static-components.h} }{\pageref{coll__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf errmgr\_\-static-components.h} }{\pageref{errmgr__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf gpr\_\-static-components.h} }{\pageref{gpr__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf io-romio-version.h} }{\pageref{io-romio-version_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf iof\_\-static-components.h} }{\pageref{iof__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf llm-hostfile-version.h} }{\pageref{llm-hostfile-version_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf llm\_\-static-components.h} }{\pageref{llm__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf ns\_\-static-components.h} }{\pageref{ns__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf oob\_\-static-components.h} }{\pageref{oob__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf pcm\_\-static-components.h} }{\pageref{pcm__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf pcmclient-env-version.h} }{\pageref{pcmclient-env-version_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf pcmclient-rms-version.h} }{\pageref{pcmclient-rms-version_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf pcmclient-seed-version.h} }{\pageref{pcmclient-seed-version_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf pcmclient-singleton-version.h} }{\pageref{pcmclient-singleton-version_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf pcmclient-slurm-version.h} }{\pageref{pcmclient-slurm-version_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf pcmclient\_\-static-components.h} }{\pageref{pcmclient__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf pls-fork-version.h} }{\pageref{pls-fork-version_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf pls-proxy-version.h} }{\pageref{pls-proxy-version_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf pls-rsh-version.h} }{\pageref{pls-rsh-version_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf pls\_\-static-components.h} }{\pageref{pls__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf pml\_\-static-components.h} }{\pageref{pml__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf ptl-prof-version.h} }{\pageref{ptl-prof-version_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf ptl\_\-static-components.h} }{\pageref{ptl__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf ras\_\-static-components.h} }{\pageref{ras__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf rds\_\-static-components.h} }{\pageref{rds__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf rmaps\_\-static-components.h} }{\pageref{rmaps__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf rmgr\_\-static-components.h} }{\pageref{rmgr__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf rml\_\-static-components.h} }{\pageref{rml__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf schema\_\-static-components.h} }{\pageref{schema__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf soh\_\-static-components.h} }{\pageref{soh__static-components_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf topo-unity-version.h} }{\pageref{topo-unity-version_8h}}{}
\item\contentsline{section}{ompi/win32/generated\_\-include/{\bf topo\_\-static-components.h} }{\pageref{topo__static-components_8h}}{}
\item\contentsline{section}{opal/class/{\bf opal\_\-free\_\-list.h} }{\pageref{opal__free__list_8h}}{}
\item\contentsline{section}{opal/class/\hyperlink{opal__hash__table_8h}{opal\_\-hash\_\-table.h} (A hash table that may be indexed with either fixed length (e.g )}{\pageref{opal__hash__table_8h}}{}
\item\contentsline{section}{opal/class/\hyperlink{opal__list_8h}{opal\_\-list.h} (The opal\_\-list\_\-t interface is used to provide a generic doubly-linked list container for Open MPI )}{\pageref{opal__list_8h}}{}
\item\contentsline{section}{opal/class/\hyperlink{opal__object_8c}{opal\_\-object.c} (Implementation of \hyperlink{structopal__object__t}{opal\_\-object\_\-t}, the base opal foundation class )}{\pageref{opal__object_8c}}{}
\item\contentsline{section}{opal/class/\hyperlink{opal__object_8h}{opal\_\-object.h} (A simple C-language object-oriented system with single inheritance and ownership-based memory management using a retain/release model )}{\pageref{opal__object_8h}}{}
\item\contentsline{section}{opal/class/{\bf opal\_\-value\_\-array.h} }{\pageref{opal__value__array_8h}}{}
\item\contentsline{section}{opal/include/{\bf constants.h} }{\pageref{opal_2include_2constants_8h}}{}
\item\contentsline{section}{opal/include/sys/{\bf architecture.h} }{\pageref{architecture_8h}}{}
\item\contentsline{section}{opal/include/sys/\hyperlink{include_2sys_2atomic_8h}{atomic.h} (Atomic operations )}{\pageref{include_2sys_2atomic_8h}}{}
\item\contentsline{section}{opal/include/sys/{\bf atomic\_\-impl.h} }{\pageref{atomic__impl_8h}}{}
\item\contentsline{section}{opal/include/sys/\hyperlink{cache_8h}{cache.h} (Define the cache characteristics of the platform )}{\pageref{cache_8h}}{}
\item\contentsline{section}{opal/include/sys/\hyperlink{include_2sys_2timer_8h}{timer.h} (Cycle counter reading instructions )}{\pageref{include_2sys_2timer_8h}}{}
\item\contentsline{section}{opal/include/sys/alpha/{\bf atomic.h} }{\pageref{include_2sys_2alpha_2atomic_8h}}{}
\item\contentsline{section}{opal/include/sys/amd64/{\bf atomic.h} }{\pageref{include_2sys_2amd64_2atomic_8h}}{}
\item\contentsline{section}{opal/include/sys/amd64/{\bf timer.h} }{\pageref{include_2sys_2amd64_2timer_8h}}{}
\item\contentsline{section}{opal/include/sys/ia32/{\bf atomic.h} }{\pageref{include_2sys_2ia32_2atomic_8h}}{}
\item\contentsline{section}{opal/include/sys/ia32/{\bf timer.h} }{\pageref{include_2sys_2ia32_2timer_8h}}{}
\item\contentsline{section}{opal/include/sys/ia64/{\bf atomic.h} }{\pageref{include_2sys_2ia64_2atomic_8h}}{}
\item\contentsline{section}{opal/include/sys/ia64/{\bf timer.h} }{\pageref{include_2sys_2ia64_2timer_8h}}{}
\item\contentsline{section}{opal/include/sys/mips/{\bf atomic.h} }{\pageref{include_2sys_2mips_2atomic_8h}}{}
\item\contentsline{section}{opal/include/sys/powerpc/{\bf atomic.h} }{\pageref{include_2sys_2powerpc_2atomic_8h}}{}
\item\contentsline{section}{opal/include/sys/powerpc/{\bf timer.h} }{\pageref{include_2sys_2powerpc_2timer_8h}}{}
\item\contentsline{section}{opal/include/sys/sparc/{\bf atomic.h} }{\pageref{include_2sys_2sparc_2atomic_8h}}{}
\item\contentsline{section}{opal/include/sys/sparcv9/{\bf atomic.h} }{\pageref{include_2sys_2sparcv9_2atomic_8h}}{}
\item\contentsline{section}{opal/include/sys/sparcv9/{\bf timer.h} }{\pageref{include_2sys_2sparcv9_2timer_8h}}{}
\item\contentsline{section}{opal/include/sys/win32/{\bf atomic.h} }{\pageref{include_2sys_2win32_2atomic_8h}}{}
\item\contentsline{section}{opal/mca/\hyperlink{mca_8h}{mca.h} (Top-level interface for {\em all\/} MCA components )}{\pageref{mca_8h}}{}
\item\contentsline{section}{opal/mca/base/{\bf base.h} }{\pageref{opal_2mca_2base_2base_8h}}{}
\item\contentsline{section}{opal/mca/base/{\bf mca\_\-base\_\-component\_\-repository.h} }{\pageref{mca__base__component__repository_8h}}{}
\item\contentsline{section}{opal/mca/base/\hyperlink{mca__base__msgbuf_8h}{mca\_\-base\_\-msgbuf.h} (Run-time MCA message buffer interface for packing/unpacking messages these routines are used by both the OOB and the registry )}{\pageref{mca__base__msgbuf_8h}}{}
\item\contentsline{section}{opal/mca/base/\hyperlink{mca__base__msgbuf__internal_8h}{mca\_\-base\_\-msgbuf\_\-internal.h} (Run-time MCA message buffer interface for packing/unpacking messages these routines are used by both the OOB and the registry )}{\pageref{mca__base__msgbuf__internal_8h}}{}
\item\contentsline{section}{opal/mca/base/\hyperlink{mca__base__param_8h}{mca\_\-base\_\-param.h} (This file presents the MCA parameter interface )}{\pageref{mca__base__param_8h}}{}
\item\contentsline{section}{opal/mca/base/\hyperlink{mca__base__param__internal_8h}{mca\_\-base\_\-param\_\-internal.h} (This is the private declarations for the MCA parameter system )}{\pageref{mca__base__param__internal_8h}}{}
\item\contentsline{section}{opal/mca/base/{\bf mca\_\-base\_\-parse\_\-paramfile\_\-lex.h} }{\pageref{mca__base__parse__paramfile__lex_8h}}{}
\item\contentsline{section}{opal/mca/maffinity/\hyperlink{maffinity_8h}{maffinity.h} (Maffinity (memory affinity) framework component interface definitions )}{\pageref{maffinity_8h}}{}
\item\contentsline{section}{opal/mca/maffinity/\hyperlink{maffinity__types_8h}{maffinity\_\-types.h} (Common types used in the maffinity framework )}{\pageref{maffinity__types_8h}}{}
\item\contentsline{section}{opal/mca/maffinity/base/{\bf base.h} }{\pageref{opal_2mca_2maffinity_2base_2base_8h}}{}
\item\contentsline{section}{opal/mca/maffinity/base/\hyperlink{maffinity_2base_2internal_8h}{internal.h} (Global functions for MCA overall maffinity open and close )}{\pageref{maffinity_2base_2internal_8h}}{}
\item\contentsline{section}{opal/mca/maffinity/base/{\bf static-components.h} }{\pageref{opal_2mca_2maffinity_2base_2static-components_8h}}{}
\item\contentsline{section}{opal/mca/maffinity/first\_\-use/\hyperlink{maffinity__first__use_8h}{maffinity\_\-first\_\-use.h} (Processor affinity for First\_\-Use )}{\pageref{maffinity__first__use_8h}}{}
\item\contentsline{section}{opal/mca/maffinity/libnuma/\hyperlink{maffinity__libnuma_8h}{maffinity\_\-libnuma.h} (Processor affinity for libnuma )}{\pageref{maffinity__libnuma_8h}}{}
\item\contentsline{section}{opal/mca/memory/{\bf memory.h} }{\pageref{mca_2memory_2memory_8h}}{}
\item\contentsline{section}{opal/mca/memory/base/{\bf base.h} }{\pageref{opal_2mca_2memory_2base_2base_8h}}{}
\item\contentsline{section}{opal/mca/memory/base/{\bf static-components.h} }{\pageref{opal_2mca_2memory_2base_2static-components_8h}}{}
\item\contentsline{section}{opal/mca/memory/ptmalloc2/{\bf lran2.h} }{\pageref{lran2_8h}}{}
\item\contentsline{section}{opal/mca/memory/ptmalloc2/{\bf malloc.h} }{\pageref{mca_2memory_2ptmalloc2_2malloc_8h}}{}
\item\contentsline{section}{opal/mca/memory/ptmalloc2/{\bf t-test.h} }{\pageref{t-test_8h}}{}
\item\contentsline{section}{opal/mca/memory/ptmalloc2/sysdeps/generic/{\bf atomic.h} }{\pageref{mca_2memory_2ptmalloc2_2sysdeps_2generic_2atomic_8h}}{}
\item\contentsline{section}{opal/mca/memory/ptmalloc2/sysdeps/generic/{\bf malloc-machine.h} }{\pageref{generic_2malloc-machine_8h}}{}
\item\contentsline{section}{opal/mca/memory/ptmalloc2/sysdeps/generic/{\bf thread-st.h} }{\pageref{generic_2thread-st_8h}}{}
\item\contentsline{section}{opal/mca/memory/ptmalloc2/sysdeps/pthread/{\bf malloc-machine.h} }{\pageref{pthread_2malloc-machine_8h}}{}
\item\contentsline{section}{opal/mca/memory/ptmalloc2/sysdeps/pthread/{\bf thread-st.h} }{\pageref{pthread_2thread-st_8h}}{}
\item\contentsline{section}{opal/mca/memory/ptmalloc2/sysdeps/solaris/{\bf malloc-machine.h} }{\pageref{solaris_2malloc-machine_8h}}{}
\item\contentsline{section}{opal/mca/memory/ptmalloc2/sysdeps/solaris/{\bf thread-st.h} }{\pageref{solaris_2thread-st_8h}}{}
\item\contentsline{section}{opal/mca/memory/ptmalloc2/sysdeps/sproc/{\bf malloc-machine.h} }{\pageref{sproc_2malloc-machine_8h}}{}
\item\contentsline{section}{opal/mca/memory/ptmalloc2/sysdeps/sproc/{\bf thread-st.h} }{\pageref{sproc_2thread-st_8h}}{}
\item\contentsline{section}{opal/mca/paffinity/\hyperlink{paffinity_8h}{paffinity.h} (Paffinity (processor affinity) framework component interface definitions )}{\pageref{paffinity_8h}}{}
\item\contentsline{section}{opal/mca/paffinity/base/{\bf base.h} }{\pageref{opal_2mca_2paffinity_2base_2base_8h}}{}
\item\contentsline{section}{opal/mca/paffinity/base/\hyperlink{paffinity_2base_2internal_8h}{internal.h} }{\pageref{paffinity_2base_2internal_8h}}{}
\item\contentsline{section}{opal/mca/paffinity/base/{\bf static-components.h} }{\pageref{opal_2mca_2paffinity_2base_2static-components_8h}}{}
\item\contentsline{section}{opal/mca/paffinity/linux/\hyperlink{paffinity__linux_8h}{paffinity\_\-linux.h} (Processor affinity for Linux )}{\pageref{paffinity__linux_8h}}{}
\item\contentsline{section}{opal/mca/paffinity/solaris/{\bf paffinity\_\-solaris.h} }{\pageref{paffinity__solaris_8h}}{}
\item\contentsline{section}{opal/mca/timer/\hyperlink{mca_2timer_2timer_8h}{timer.h} (High resolution timer / cycle counter )}{\pageref{mca_2timer_2timer_8h}}{}
\item\contentsline{section}{opal/mca/timer/aix/{\bf timer\_\-aix.h} }{\pageref{timer__aix_8h}}{}
\item\contentsline{section}{opal/mca/timer/altix/{\bf timer\_\-altix.h} }{\pageref{timer__altix_8h}}{}
\item\contentsline{section}{opal/mca/timer/base/{\bf base.h} }{\pageref{opal_2mca_2timer_2base_2base_8h}}{}
\item\contentsline{section}{opal/mca/timer/base/{\bf static-components.h} }{\pageref{opal_2mca_2timer_2base_2static-components_8h}}{}
\item\contentsline{section}{opal/mca/timer/base/{\bf timer\_\-base\_\-null.h} }{\pageref{timer__base__null_8h}}{}
\item\contentsline{section}{opal/mca/timer/darwin/{\bf timer\_\-darwin.h} }{\pageref{timer__darwin_8h}}{}
\item\contentsline{section}{opal/mca/timer/linux/{\bf timer\_\-linux.h} }{\pageref{timer__linux_8h}}{}
\item\contentsline{section}{opal/mca/timer/solaris/{\bf timer\_\-solaris.h} }{\pageref{timer__solaris_8h}}{}
\item\contentsline{section}{opal/memoryhooks/\hyperlink{memoryhooks_2memory_8h}{memory.h} (Hooks for catching release of memory from the current process )}{\pageref{memoryhooks_2memory_8h}}{}
\item\contentsline{section}{opal/memoryhooks/{\bf memory\_\-internal.h} }{\pageref{memory__internal_8h}}{}
\item\contentsline{section}{opal/runtime/\hyperlink{opal_8h}{opal.h} }{\pageref{opal_8h}}{}
\item\contentsline{section}{opal/runtime/\hyperlink{opal__finalize_8c}{opal\_\-finalize.c} }{\pageref{opal__finalize_8c}}{}
\item\contentsline{section}{opal/runtime/\hyperlink{opal__init_8c}{opal\_\-init.c} }{\pageref{opal__init_8c}}{}
\item\contentsline{section}{opal/runtime/\hyperlink{opal__progress_8h}{opal\_\-progress.h} (Progress engine for Open MPI )}{\pageref{opal__progress_8h}}{}
\item\contentsline{section}{opal/threads/{\bf condition.h} }{\pageref{condition_8h}}{}
\item\contentsline{section}{opal/threads/\hyperlink{mutex_8h}{mutex.h} (Mutual exclusion functions )}{\pageref{mutex_8h}}{}
\item\contentsline{section}{opal/threads/\hyperlink{mutex__unix_8h}{mutex\_\-unix.h} (Mutual exclusion functions: Windows implementation )}{\pageref{mutex__unix_8h}}{}
\item\contentsline{section}{opal/threads/\hyperlink{mutex__windows_8h}{mutex\_\-windows.h} (Mutual exclusion functions: Windows implementation )}{\pageref{mutex__windows_8h}}{}
\item\contentsline{section}{opal/threads/{\bf threads.h} }{\pageref{threads_8h}}{}
\item\contentsline{section}{opal/util/\hyperlink{argv_8h}{argv.h} (Generic routines for \char`\"{}argv\char`\"{}-like handling )}{\pageref{argv_8h}}{}
\item\contentsline{section}{opal/util/\hyperlink{basename_8h}{basename.h} (Returns an OS-independant basename() of a given filename )}{\pageref{basename_8h}}{}
\item\contentsline{section}{opal/util/{\bf bit\_\-ops.h} }{\pageref{bit__ops_8h}}{}
\item\contentsline{section}{opal/util/\hyperlink{cmd__line_8h}{cmd\_\-line.h} (General command line parsing facility for use throughout Open MPI )}{\pageref{cmd__line_8h}}{}
\item\contentsline{section}{opal/util/\hyperlink{convert_8h}{convert.h} (This file will hopefully not last long in the tree, but it's unfortunately necessary for now )}{\pageref{convert_8h}}{}
\item\contentsline{section}{opal/util/\hyperlink{daemon__init_8h}{daemon\_\-init.h} }{\pageref{daemon__init_8h}}{}
\item\contentsline{section}{opal/util/{\bf error.h} }{\pageref{error_8h}}{}
\item\contentsline{section}{opal/util/{\bf few.h} }{\pageref{few_8h}}{}
\item\contentsline{section}{opal/util/{\bf if.h} }{\pageref{if_8h}}{}
\item\contentsline{section}{opal/util/\hyperlink{util_2malloc_8h}{malloc.h} }{\pageref{util_2malloc_8h}}{}
\item\contentsline{section}{opal/util/\hyperlink{numtostr_8h}{numtostr.h} }{\pageref{numtostr_8h}}{}
\item\contentsline{section}{opal/util/\hyperlink{opal__environ_8h}{opal\_\-environ.h} (Generic helper routines for environment manipulation )}{\pageref{opal__environ_8h}}{}
\item\contentsline{section}{opal/util/\hyperlink{os__create__dirpath_8h}{os\_\-create\_\-dirpath.h} (Creates a directory tree set to the specified permissions )}{\pageref{os__create__dirpath_8h}}{}
\item\contentsline{section}{opal/util/\hyperlink{os__path_8h}{os\_\-path.h} (Creates an operating system-acceptable path name )}{\pageref{os__path_8h}}{}
\item\contentsline{section}{opal/util/\hyperlink{output_8h}{output.h} (OPAL output stream facility )}{\pageref{output_8h}}{}
\item\contentsline{section}{opal/util/{\bf path.h} }{\pageref{path_8h}}{}
\item\contentsline{section}{opal/util/{\bf pow2.h} }{\pageref{pow2_8h}}{}
\item\contentsline{section}{opal/util/\hyperlink{printf_8h}{printf.h} (Buffer safe printf functions for portability to archaic platforms )}{\pageref{printf_8h}}{}
\item\contentsline{section}{opal/util/{\bf qsort.h} }{\pageref{qsort_8h}}{}
\item\contentsline{section}{opal/util/\hyperlink{show__help_8h}{show\_\-help.h} (The \char`\"{}show help\char`\"{} subsystem (SHS) in Open MPI is intended to help the developer convey meaningful information to the user (read longer than is convenient in a single printf), particularly when errors occur )}{\pageref{show__help_8h}}{}
\item\contentsline{section}{opal/util/{\bf show\_\-help\_\-lex.h} }{\pageref{show__help__lex_8h}}{}
\item\contentsline{section}{opal/util/{\bf stacktrace.h} }{\pageref{stacktrace_8h}}{}
\item\contentsline{section}{opal/util/{\bf strncpy.h} }{\pageref{strncpy_8h}}{}
\item\contentsline{section}{opal/util/{\bf trace.h} }{\pageref{trace_8h}}{}
\item\contentsline{section}{orte/class/\hyperlink{orte__bitmap_8h}{orte\_\-bitmap.h} (See \hyperlink{ompi__bitmap_8h}{ompi\_\-bitmap.h} for an explanation of why there is a split between OMPI and ORTE for this generic class )}{\pageref{orte__bitmap_8h}}{}
\item\contentsline{section}{orte/class/\hyperlink{orte__pointer__array_8h}{orte\_\-pointer\_\-array.h} (See \hyperlink{ompi__bitmap_8h}{ompi\_\-bitmap.h} for an explanation of why there is a split between OMPI and ORTE for this generic class )}{\pageref{orte__pointer__array_8h}}{}
\item\contentsline{section}{orte/class/\hyperlink{orte__proc__table_8h}{orte\_\-proc\_\-table.h} (A hash table indexed by orte\_\-process\_\-name\_\-t )}{\pageref{orte__proc__table_8h}}{}
\item\contentsline{section}{orte/class/{\bf orte\_\-value\_\-array.h} }{\pageref{orte__value__array_8h}}{}
\item\contentsline{section}{orte/dps/\hyperlink{dps_8h}{dps.h} (Data packing subsystem )}{\pageref{dps_8h}}{}
\item\contentsline{section}{orte/dps/{\bf dps\_\-internal.h} }{\pageref{dps__internal_8h}}{}
\item\contentsline{section}{orte/dps/\hyperlink{dps__load__unload_8c}{dps\_\-load\_\-unload.c} }{\pageref{dps__load__unload_8c}}{}
\item\contentsline{section}{orte/dps/\hyperlink{dps__types_8h}{dps\_\-types.h} (Buffer management types )}{\pageref{dps__types_8h}}{}
\item\contentsline{section}{orte/dps/\hyperlink{orte__dps__open__close_8c}{orte\_\-dps\_\-open\_\-close.c} }{\pageref{orte__dps__open__close_8c}}{}
\item\contentsline{section}{orte/include/{\bf orte\_\-constants.h} }{\pageref{orte__constants_8h}}{}
\item\contentsline{section}{orte/include/\hyperlink{orte__types_8h}{orte\_\-types.h} }{\pageref{orte__types_8h}}{}
\item\contentsline{section}{orte/mca/errmgr/\hyperlink{errmgr_8h}{errmgr.h} (The Open RTE Error Manager )}{\pageref{errmgr_8h}}{}
\item\contentsline{section}{orte/mca/errmgr/base/\hyperlink{orte_2mca_2errmgr_2base_2base_8h}{base.h} }{\pageref{orte_2mca_2errmgr_2base_2base_8h}}{}
\item\contentsline{section}{orte/mca/errmgr/base/{\bf static-components.h} }{\pageref{orte_2mca_2errmgr_2base_2static-components_8h}}{}
\item\contentsline{section}{orte/mca/gpr/{\bf gpr.h} }{\pageref{gpr_8h}}{}
\item\contentsline{section}{orte/mca/gpr/\hyperlink{gpr__types_8h}{gpr\_\-types.h} }{\pageref{gpr__types_8h}}{}
\item\contentsline{section}{orte/mca/gpr/base/\hyperlink{orte_2mca_2gpr_2base_2base_8h}{base.h} (The Open MPI general purpose registry )}{\pageref{orte_2mca_2gpr_2base_2base_8h}}{}
\item\contentsline{section}{orte/mca/gpr/base/\hyperlink{gpr__base__simplified__put_8c}{gpr\_\-base\_\-simplified\_\-put.c} }{\pageref{gpr__base__simplified__put_8c}}{}
\item\contentsline{section}{orte/mca/gpr/base/\hyperlink{gpr__base__simplified__subscribe_8c}{gpr\_\-base\_\-simplified\_\-subscribe.c} }{\pageref{gpr__base__simplified__subscribe_8c}}{}
\item\contentsline{section}{orte/mca/gpr/base/{\bf static-components.h} }{\pageref{orte_2mca_2gpr_2base_2static-components_8h}}{}
\item\contentsline{section}{orte/mca/gpr/base/pack\_\-api\_\-cmd/\hyperlink{gpr__base__pack__arithmetic__ops_8c}{gpr\_\-base\_\-pack\_\-arithmetic\_\-ops.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__base__pack__arithmetic__ops_8c}}{}
\item\contentsline{section}{orte/mca/gpr/base/pack\_\-api\_\-cmd/\hyperlink{gpr__base__pack__cleanup_8c}{gpr\_\-base\_\-pack\_\-cleanup.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__base__pack__cleanup_8c}}{}
\item\contentsline{section}{orte/mca/gpr/base/pack\_\-api\_\-cmd/\hyperlink{gpr__base__pack__del__index_8c}{gpr\_\-base\_\-pack\_\-del\_\-index.c} }{\pageref{gpr__base__pack__del__index_8c}}{}
\item\contentsline{section}{orte/mca/gpr/base/pack\_\-api\_\-cmd/\hyperlink{gpr__base__pack__dump_8c}{gpr\_\-base\_\-pack\_\-dump.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__base__pack__dump_8c}}{}
\item\contentsline{section}{orte/mca/gpr/base/pack\_\-api\_\-cmd/\hyperlink{gpr__base__pack__put__get_8c}{gpr\_\-base\_\-pack\_\-put\_\-get.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__base__pack__put__get_8c}}{}
\item\contentsline{section}{orte/mca/gpr/base/pack\_\-api\_\-cmd/\hyperlink{gpr__base__pack__subscribe_8c}{gpr\_\-base\_\-pack\_\-subscribe.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__base__pack__subscribe_8c}}{}
\item\contentsline{section}{orte/mca/gpr/base/unpack\_\-api\_\-response/\hyperlink{gpr__base__dump__notify_8c}{gpr\_\-base\_\-dump\_\-notify.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__base__dump__notify_8c}}{}
\item\contentsline{section}{orte/mca/gpr/base/unpack\_\-api\_\-response/\hyperlink{gpr__base__print__dump_8c}{gpr\_\-base\_\-print\_\-dump.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__base__print__dump_8c}}{}
\item\contentsline{section}{orte/mca/gpr/base/unpack\_\-api\_\-response/\hyperlink{gpr__base__unpack__arithmetic__ops_8c}{gpr\_\-base\_\-unpack\_\-arithmetic\_\-ops.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__base__unpack__arithmetic__ops_8c}}{}
\item\contentsline{section}{orte/mca/gpr/base/unpack\_\-api\_\-response/\hyperlink{gpr__base__unpack__cleanup_8c}{gpr\_\-base\_\-unpack\_\-cleanup.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__base__unpack__cleanup_8c}}{}
\item\contentsline{section}{orte/mca/gpr/base/unpack\_\-api\_\-response/\hyperlink{gpr__base__unpack__del__index_8c}{gpr\_\-base\_\-unpack\_\-del\_\-index.c} }{\pageref{gpr__base__unpack__del__index_8c}}{}
\item\contentsline{section}{orte/mca/gpr/base/unpack\_\-api\_\-response/\hyperlink{gpr__base__unpack__put__get_8c}{gpr\_\-base\_\-unpack\_\-put\_\-get.c} (The Open MPI general purpose registry - base unpack functions )}{\pageref{gpr__base__unpack__put__get_8c}}{}
\item\contentsline{section}{orte/mca/gpr/base/unpack\_\-api\_\-response/\hyperlink{gpr__base__unpack__subscribe_8c}{gpr\_\-base\_\-unpack\_\-subscribe.c} (The Open MPI general purpose registry - unpack functions )}{\pageref{gpr__base__unpack__subscribe_8c}}{}
\item\contentsline{section}{orte/mca/gpr/proxy/{\bf gpr\_\-proxy.h} }{\pageref{gpr__proxy_8h}}{}
\item\contentsline{section}{orte/mca/gpr/proxy/\hyperlink{gpr__proxy__arithmetic__ops_8c}{gpr\_\-proxy\_\-arithmetic\_\-ops.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__proxy__arithmetic__ops_8c}}{}
\item\contentsline{section}{orte/mca/gpr/proxy/\hyperlink{gpr__proxy__cleanup_8c}{gpr\_\-proxy\_\-cleanup.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__proxy__cleanup_8c}}{}
\item\contentsline{section}{orte/mca/gpr/proxy/\hyperlink{gpr__proxy__component_8c}{gpr\_\-proxy\_\-component.c} (The Open MPI General Purpose Registry - Proxy component )}{\pageref{gpr__proxy__component_8c}}{}
\item\contentsline{section}{orte/mca/gpr/proxy/\hyperlink{gpr__proxy__compound__cmd_8c}{gpr\_\-proxy\_\-compound\_\-cmd.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__proxy__compound__cmd_8c}}{}
\item\contentsline{section}{orte/mca/gpr/proxy/\hyperlink{gpr__proxy__del__index_8c}{gpr\_\-proxy\_\-del\_\-index.c} }{\pageref{gpr__proxy__del__index_8c}}{}
\item\contentsline{section}{orte/mca/gpr/proxy/\hyperlink{gpr__proxy__deliver__notify__msg_8c}{gpr\_\-proxy\_\-deliver\_\-notify\_\-msg.c} (The Open MPI General Purpose Registry - Proxy component )}{\pageref{gpr__proxy__deliver__notify__msg_8c}}{}
\item\contentsline{section}{orte/mca/gpr/proxy/\hyperlink{gpr__proxy__dump_8c}{gpr\_\-proxy\_\-dump.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__proxy__dump_8c}}{}
\item\contentsline{section}{orte/mca/gpr/proxy/\hyperlink{gpr__proxy__dump__local__trigs__subs_8c}{gpr\_\-proxy\_\-dump\_\-local\_\-trigs\_\-subs.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__proxy__dump__local__trigs__subs_8c}}{}
\item\contentsline{section}{orte/mca/gpr/proxy/\hyperlink{gpr__proxy__general__operations_8c}{gpr\_\-proxy\_\-general\_\-operations.c} (The Open MPI General Purpose Registry - proxy component )}{\pageref{gpr__proxy__general__operations_8c}}{}
\item\contentsline{section}{orte/mca/gpr/proxy/\hyperlink{gpr__proxy__internals_8c}{gpr\_\-proxy\_\-internals.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__proxy__internals_8c}}{}
\item\contentsline{section}{orte/mca/gpr/proxy/\hyperlink{gpr__proxy__put__get_8c}{gpr\_\-proxy\_\-put\_\-get.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__proxy__put__get_8c}}{}
\item\contentsline{section}{orte/mca/gpr/proxy/\hyperlink{gpr__proxy__subscribe_8c}{gpr\_\-proxy\_\-subscribe.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__proxy__subscribe_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/\hyperlink{gpr__replica_8h}{gpr\_\-replica.h} }{\pageref{gpr__replica_8h}}{}
\item\contentsline{section}{orte/mca/gpr/replica/\hyperlink{gpr__replica__class__instances_8h}{gpr\_\-replica\_\-class\_\-instances.h} }{\pageref{gpr__replica__class__instances_8h}}{}
\item\contentsline{section}{orte/mca/gpr/replica/\hyperlink{gpr__replica__component_8c}{gpr\_\-replica\_\-component.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__replica__component_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/api\_\-layer/\hyperlink{gpr__replica__api_8h}{gpr\_\-replica\_\-api.h} }{\pageref{gpr__replica__api_8h}}{}
\item\contentsline{section}{orte/mca/gpr/replica/api\_\-layer/\hyperlink{gpr__replica__arithmetic__ops__api_8c}{gpr\_\-replica\_\-arithmetic\_\-ops\_\-api.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__replica__arithmetic__ops__api_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/api\_\-layer/\hyperlink{gpr__replica__cleanup__api_8c}{gpr\_\-replica\_\-cleanup\_\-api.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__replica__cleanup__api_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/api\_\-layer/\hyperlink{gpr__replica__compound__cmd__api_8c}{gpr\_\-replica\_\-compound\_\-cmd\_\-api.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__replica__compound__cmd__api_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/api\_\-layer/\hyperlink{gpr__replica__del__index__api_8c}{gpr\_\-replica\_\-del\_\-index\_\-api.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__replica__del__index__api_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/api\_\-layer/\hyperlink{gpr__replica__deliver__notify__msg__api_8c}{gpr\_\-replica\_\-deliver\_\-notify\_\-msg\_\-api.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__replica__deliver__notify__msg__api_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/api\_\-layer/\hyperlink{gpr__replica__dump__api_8c}{gpr\_\-replica\_\-dump\_\-api.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__replica__dump__api_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/api\_\-layer/\hyperlink{gpr__replica__dump__local__trigs__subs__api_8c}{gpr\_\-replica\_\-dump\_\-local\_\-trigs\_\-subs\_\-api.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__replica__dump__local__trigs__subs__api_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/api\_\-layer/\hyperlink{gpr__replica__put__get__api_8c}{gpr\_\-replica\_\-put\_\-get\_\-api.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__replica__put__get__api_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/api\_\-layer/\hyperlink{gpr__replica__segment__ops__api_8c}{gpr\_\-replica\_\-segment\_\-ops\_\-api.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__replica__segment__ops__api_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/api\_\-layer/\hyperlink{gpr__replica__subscribe__api_8c}{gpr\_\-replica\_\-subscribe\_\-api.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__replica__subscribe__api_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/communications/\hyperlink{gpr__replica__arithmetic__ops__cm_8c}{gpr\_\-replica\_\-arithmetic\_\-ops\_\-cm.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__replica__arithmetic__ops__cm_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/communications/\hyperlink{gpr__replica__cleanup__cm_8c}{gpr\_\-replica\_\-cleanup\_\-cm.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__replica__cleanup__cm_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/communications/\hyperlink{gpr__replica__cmd__processor_8c}{gpr\_\-replica\_\-cmd\_\-processor.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__replica__cmd__processor_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/communications/\hyperlink{gpr__replica__comm_8h}{gpr\_\-replica\_\-comm.h} }{\pageref{gpr__replica__comm_8h}}{}
\item\contentsline{section}{orte/mca/gpr/replica/communications/\hyperlink{gpr__replica__compound__cmd__cm_8c}{gpr\_\-replica\_\-compound\_\-cmd\_\-cm.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__replica__compound__cmd__cm_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/communications/\hyperlink{gpr__replica__del__index__cm_8c}{gpr\_\-replica\_\-del\_\-index\_\-cm.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__replica__del__index__cm_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/communications/\hyperlink{gpr__replica__dump__cm_8c}{gpr\_\-replica\_\-dump\_\-cm.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__replica__dump__cm_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/communications/\hyperlink{gpr__replica__put__get__cm_8c}{gpr\_\-replica\_\-put\_\-get\_\-cm.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__replica__put__get__cm_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/communications/\hyperlink{gpr__replica__recv__proxy__msgs_8c}{gpr\_\-replica\_\-recv\_\-proxy\_\-msgs.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__replica__recv__proxy__msgs_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/communications/\hyperlink{gpr__replica__remote__msg_8c}{gpr\_\-replica\_\-remote\_\-msg.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__replica__remote__msg_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/communications/\hyperlink{gpr__replica__subscribe__cm_8c}{gpr\_\-replica\_\-subscribe\_\-cm.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__replica__subscribe__cm_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/functional\_\-layer/\hyperlink{gpr__replica__arithmetic__ops__fn_8c}{gpr\_\-replica\_\-arithmetic\_\-ops\_\-fn.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__replica__arithmetic__ops__fn_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/functional\_\-layer/\hyperlink{gpr__replica__cleanup__fn_8c}{gpr\_\-replica\_\-cleanup\_\-fn.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__replica__cleanup__fn_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/functional\_\-layer/\hyperlink{gpr__replica__del__index__fn_8c}{gpr\_\-replica\_\-del\_\-index\_\-fn.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__replica__del__index__fn_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/functional\_\-layer/\hyperlink{gpr__replica__dict__fn_8c}{gpr\_\-replica\_\-dict\_\-fn.c} (The Open MPI general purpose registry - support functions )}{\pageref{gpr__replica__dict__fn_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/functional\_\-layer/\hyperlink{gpr__replica__dump__fn_8c}{gpr\_\-replica\_\-dump\_\-fn.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__replica__dump__fn_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/functional\_\-layer/\hyperlink{gpr__replica__fn_8h}{gpr\_\-replica\_\-fn.h} (The Open MPI general purpose registry - support functions )}{\pageref{gpr__replica__fn_8h}}{}
\item\contentsline{section}{orte/mca/gpr/replica/functional\_\-layer/\hyperlink{gpr__replica__local__trig__ops__fn_8c}{gpr\_\-replica\_\-local\_\-trig\_\-ops\_\-fn.c} (The Open MPI general purpose registry - support functions )}{\pageref{gpr__replica__local__trig__ops__fn_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/functional\_\-layer/\hyperlink{gpr__replica__messaging__fn_8c}{gpr\_\-replica\_\-messaging\_\-fn.c} (The Open MPI General Purpose Registry - Replica component )}{\pageref{gpr__replica__messaging__fn_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/functional\_\-layer/\hyperlink{gpr__replica__put__get__fn_8c}{gpr\_\-replica\_\-put\_\-get\_\-fn.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__replica__put__get__fn_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/functional\_\-layer/\hyperlink{gpr__replica__segment__fn_8c}{gpr\_\-replica\_\-segment\_\-fn.c} (The Open MPI general purpose registry - support functions )}{\pageref{gpr__replica__segment__fn_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/functional\_\-layer/\hyperlink{gpr__replica__subscribe__fn_8c}{gpr\_\-replica\_\-subscribe\_\-fn.c} (The Open MPI general purpose registry - implementation )}{\pageref{gpr__replica__subscribe__fn_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/functional\_\-layer/\hyperlink{gpr__replica__trig__ops__fn_8c}{gpr\_\-replica\_\-trig\_\-ops\_\-fn.c} (The Open MPI general purpose registry - support functions )}{\pageref{gpr__replica__trig__ops__fn_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/transition\_\-layer/\hyperlink{gpr__replica__dict__tl_8c}{gpr\_\-replica\_\-dict\_\-tl.c} (The Open MPI general purpose registry - support functions )}{\pageref{gpr__replica__dict__tl_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/transition\_\-layer/\hyperlink{gpr__replica__segment__tl_8c}{gpr\_\-replica\_\-segment\_\-tl.c} (The Open MPI general purpose registry - support functions )}{\pageref{gpr__replica__segment__tl_8c}}{}
\item\contentsline{section}{orte/mca/gpr/replica/transition\_\-layer/\hyperlink{gpr__replica__tl_8h}{gpr\_\-replica\_\-tl.h} (The Open MPI general purpose registry - support functions )}{\pageref{gpr__replica__tl_8h}}{}
\item\contentsline{section}{orte/mca/iof/\hyperlink{iof_8h}{iof.h} (I/O Forwarding Service )}{\pageref{iof_8h}}{}
\item\contentsline{section}{orte/mca/iof/base/\hyperlink{orte_2mca_2iof_2base_2base_8h}{base.h} (I/O Forwarding Service )}{\pageref{orte_2mca_2iof_2base_2base_8h}}{}
\item\contentsline{section}{orte/mca/iof/base/{\bf iof\_\-base\_\-endpoint.h} }{\pageref{iof__base__endpoint_8h}}{}
\item\contentsline{section}{orte/mca/iof/base/{\bf iof\_\-base\_\-fragment.h} }{\pageref{iof__base__fragment_8h}}{}
\item\contentsline{section}{orte/mca/iof/base/{\bf iof\_\-base\_\-header.h} }{\pageref{iof__base__header_8h}}{}
\item\contentsline{section}{orte/mca/iof/base/{\bf iof\_\-base\_\-setup.h} }{\pageref{iof__base__setup_8h}}{}
\item\contentsline{section}{orte/mca/iof/base/{\bf static-components.h} }{\pageref{orte_2mca_2iof_2base_2static-components_8h}}{}
\item\contentsline{section}{orte/mca/iof/proxy/\hyperlink{iof__proxy_8h}{iof\_\-proxy.h} }{\pageref{iof__proxy_8h}}{}
\item\contentsline{section}{orte/mca/iof/proxy/\hyperlink{iof__proxy__svc_8h}{iof\_\-proxy\_\-svc.h} }{\pageref{iof__proxy__svc_8h}}{}
\item\contentsline{section}{orte/mca/iof/svc/\hyperlink{iof__svc_8h}{iof\_\-svc.h} }{\pageref{iof__svc_8h}}{}
\item\contentsline{section}{orte/mca/iof/svc/\hyperlink{iof__svc__proxy_8h}{iof\_\-svc\_\-proxy.h} }{\pageref{iof__svc__proxy_8h}}{}
\item\contentsline{section}{orte/mca/iof/svc/{\bf iof\_\-svc\_\-pub.h} }{\pageref{iof__svc__pub_8h}}{}
\item\contentsline{section}{orte/mca/iof/svc/{\bf iof\_\-svc\_\-sub.h} }{\pageref{iof__svc__sub_8h}}{}
\item\contentsline{section}{orte/mca/ns/\hyperlink{ns_8h}{ns.h} (The Open MPI Name Server )}{\pageref{ns_8h}}{}
\item\contentsline{section}{orte/mca/ns/\hyperlink{ns__types_8h}{ns\_\-types.h} (The Open MPI Name Server )}{\pageref{ns__types_8h}}{}
\item\contentsline{section}{orte/mca/ns/base/\hyperlink{orte_2mca_2ns_2base_2base_8h}{base.h} }{\pageref{orte_2mca_2ns_2base_2base_8h}}{}
\item\contentsline{section}{orte/mca/ns/base/\hyperlink{ns__base__local__fns_8c}{ns\_\-base\_\-local\_\-fns.c} }{\pageref{ns__base__local__fns_8c}}{}
\item\contentsline{section}{orte/mca/ns/base/{\bf static-components.h} }{\pageref{orte_2mca_2ns_2base_2static-components_8h}}{}
\item\contentsline{section}{orte/mca/ns/proxy/src/\hyperlink{ns__proxy_8c}{ns\_\-proxy.c} }{\pageref{ns__proxy_8c}}{}
\item\contentsline{section}{orte/mca/ns/proxy/src/{\bf ns\_\-proxy.h} }{\pageref{ns__proxy_8h}}{}
\item\contentsline{section}{orte/mca/ns/proxy/src/\hyperlink{ns__proxy__component_8c}{ns\_\-proxy\_\-component.c} (The Open MPI Name Server )}{\pageref{ns__proxy__component_8c}}{}
\item\contentsline{section}{orte/mca/ns/replica/src/\hyperlink{ns__replica_8c}{ns\_\-replica.c} }{\pageref{ns__replica_8c}}{}
\item\contentsline{section}{orte/mca/ns/replica/src/{\bf ns\_\-replica.h} }{\pageref{ns__replica_8h}}{}
\item\contentsline{section}{orte/mca/ns/replica/src/\hyperlink{ns__replica__component_8c}{ns\_\-replica\_\-component.c} (The Open MPI Name Server )}{\pageref{ns__replica__component_8c}}{}
\item\contentsline{section}{orte/mca/oob/\hyperlink{oob_8h}{oob.h} (Contains the internal functions and typedefs for the use of the oob )}{\pageref{oob_8h}}{}
\item\contentsline{section}{orte/mca/oob/\hyperlink{oob__types_8h}{oob\_\-types.h} (Oob framework )}{\pageref{oob__types_8h}}{}
\item\contentsline{section}{orte/mca/oob/base/\hyperlink{orte_2mca_2oob_2base_2base_8h}{base.h} (Oob framework )}{\pageref{orte_2mca_2oob_2base_2base_8h}}{}
\item\contentsline{section}{orte/mca/oob/base/{\bf static-components.h} }{\pageref{orte_2mca_2oob_2base_2static-components_8h}}{}
\item\contentsline{section}{orte/mca/oob/llc/\hyperlink{oob__llc_8h}{oob\_\-llc.h} (Defines the functions for the llc module )}{\pageref{oob__llc_8h}}{}
\item\contentsline{section}{orte/mca/oob/llc/\hyperlink{oob__llc__addr_8h}{oob\_\-llc\_\-addr.h} (Contains header used by llc oob )}{\pageref{oob__llc__addr_8h}}{}
\item\contentsline{section}{orte/mca/oob/llc/\hyperlink{oob__llc__hdr_8h}{oob\_\-llc\_\-hdr.h} (Contains header used by llc oob )}{\pageref{oob__llc__hdr_8h}}{}
\item\contentsline{section}{orte/mca/oob/llc/\hyperlink{oob__llc__msg_8h}{oob\_\-llc\_\-msg.h} (Data structure we will use to describe a message )}{\pageref{oob__llc__msg_8h}}{}
\item\contentsline{section}{orte/mca/oob/llc/\hyperlink{oob__llc__peer_8h}{oob\_\-llc\_\-peer.h} (Contains the data structure which describes each connection )}{\pageref{oob__llc__peer_8h}}{}
\item\contentsline{section}{orte/mca/oob/tcp/\hyperlink{oob__tcp_8h}{oob\_\-tcp.h} (Defines the functions for the tcp module )}{\pageref{oob__tcp_8h}}{}
\item\contentsline{section}{orte/mca/oob/tcp/\hyperlink{oob__tcp__addr_8h}{oob\_\-tcp\_\-addr.h} (Contains header used by tcp oob )}{\pageref{oob__tcp__addr_8h}}{}
\item\contentsline{section}{orte/mca/oob/tcp/\hyperlink{oob__tcp__hdr_8h}{oob\_\-tcp\_\-hdr.h} (Contains header used by tcp oob )}{\pageref{oob__tcp__hdr_8h}}{}
\item\contentsline{section}{orte/mca/oob/tcp/\hyperlink{oob__tcp__msg_8h}{oob\_\-tcp\_\-msg.h} (Data structure we will use to describe a message )}{\pageref{oob__tcp__msg_8h}}{}
\item\contentsline{section}{orte/mca/oob/tcp/\hyperlink{oob__tcp__peer_8h}{oob\_\-tcp\_\-peer.h} (Contains the data structure which describes each connection )}{\pageref{oob__tcp__peer_8h}}{}
\item\contentsline{section}{orte/mca/pls/\hyperlink{pls_8h}{pls.h} (The Open RTE Process Launch Subsystem )}{\pageref{pls_8h}}{}
\item\contentsline{section}{orte/mca/pls/base/\hyperlink{orte_2mca_2pls_2base_2base_8h}{base.h} }{\pageref{orte_2mca_2pls_2base_2base_8h}}{}
\item\contentsline{section}{orte/mca/pls/base/{\bf static-components.h} }{\pageref{orte_2mca_2pls_2base_2static-components_8h}}{}
\item\contentsline{section}{orte/mca/pls/bproc/\hyperlink{pls__bproc_8c}{pls\_\-bproc.c} (Part of the bproc launcher )}{\pageref{pls__bproc_8c}}{}
\item\contentsline{section}{orte/mca/pls/bproc/\hyperlink{pls__bproc_8h}{pls\_\-bproc.h} (Header file for the bproc launcher )}{\pageref{pls__bproc_8h}}{}
\item\contentsline{section}{orte/mca/pls/bproc/\hyperlink{pls__bproc__component_8c}{pls\_\-bproc\_\-component.c} (Takes care of the component stuff for the MCA )}{\pageref{pls__bproc__component_8c}}{}
\item\contentsline{section}{orte/mca/pls/bproc\_\-orted/\hyperlink{pls__bproc__orted_8c}{pls\_\-bproc\_\-orted.c} (Part of the bproc launcher )}{\pageref{pls__bproc__orted_8c}}{}
\item\contentsline{section}{orte/mca/pls/bproc\_\-orted/\hyperlink{pls__bproc__orted_8h}{pls\_\-bproc\_\-orted.h} (Part of the bproc launching system )}{\pageref{pls__bproc__orted_8h}}{}
\item\contentsline{section}{orte/mca/pls/bproc\_\-orted/\hyperlink{pls__bproc__orted__component_8c}{pls\_\-bproc\_\-orted\_\-component.c} (Takes care of the component stuff for the MCA )}{\pageref{pls__bproc__orted__component_8c}}{}
\item\contentsline{section}{orte/mca/pls/daemon/{\bf pls\_\-daemon.h} }{\pageref{pls__daemon_8h}}{}
\item\contentsline{section}{orte/mca/pls/fork/{\bf pls\_\-fork.h} }{\pageref{pls__fork_8h}}{}
\item\contentsline{section}{orte/mca/pls/poe/{\bf pls\_\-poe.h} }{\pageref{pls__poe_8h}}{}
\item\contentsline{section}{orte/mca/pls/proxy/{\bf pls\_\-proxy.h} }{\pageref{pls__proxy_8h}}{}
\item\contentsline{section}{orte/mca/pls/rsh/\hyperlink{pls__rsh_8h}{pls\_\-rsh.h} (Part of the rsh launcher )}{\pageref{pls__rsh_8h}}{}
\item\contentsline{section}{orte/mca/pls/slurm/{\bf pls\_\-slurm.h} }{\pageref{pls__slurm_8h}}{}
\item\contentsline{section}{orte/mca/pls/tm/{\bf pls\_\-tm.h} }{\pageref{pls__tm_8h}}{}
\item\contentsline{section}{orte/mca/pls/xgrid/src/{\bf pls\_\-xgrid.h} }{\pageref{pls__xgrid_8h}}{}
\item\contentsline{section}{orte/mca/pls/xgrid/src/{\bf pls\_\-xgrid\_\-client.h} }{\pageref{pls__xgrid__client_8h}}{}
\item\contentsline{section}{orte/mca/ras/\hyperlink{ras_8h}{ras.h} (The Open RTE Resource Allocation Subsystem (RAS) )}{\pageref{ras_8h}}{}
\item\contentsline{section}{orte/mca/ras/{\bf ras\_\-types.h} }{\pageref{ras__types_8h}}{}
\item\contentsline{section}{orte/mca/ras/base/\hyperlink{orte_2mca_2ras_2base_2base_8h}{base.h} }{\pageref{orte_2mca_2ras_2base_2base_8h}}{}
\item\contentsline{section}{orte/mca/ras/base/\hyperlink{ras__base__node_8h}{ras\_\-base\_\-node.h} }{\pageref{ras__base__node_8h}}{}
\item\contentsline{section}{orte/mca/ras/base/{\bf static-components.h} }{\pageref{orte_2mca_2ras_2base_2static-components_8h}}{}
\item\contentsline{section}{orte/mca/ras/bjs/\hyperlink{ras__bjs_8h}{ras\_\-bjs.h} (Resource Allocation (LSF over BPROC) )}{\pageref{ras__bjs_8h}}{}
\item\contentsline{section}{orte/mca/ras/dash\_\-host/\hyperlink{ras__dash__host_8h}{ras\_\-dash\_\-host.h} (Resource Allocation (dash\_\-host) )}{\pageref{ras__dash__host_8h}}{}
\item\contentsline{section}{orte/mca/ras/hostfile/\hyperlink{ras__hostfile_8h}{ras\_\-hostfile.h} (Resource Allocation (hostfile) )}{\pageref{ras__hostfile_8h}}{}
\item\contentsline{section}{orte/mca/ras/localhost/\hyperlink{ras__localhost_8h}{ras\_\-localhost.h} (Resource Allocation (Host) )}{\pageref{ras__localhost_8h}}{}
\item\contentsline{section}{orte/mca/ras/lsf\_\-bproc/\hyperlink{ras__lsf__bproc_8h}{ras\_\-lsf\_\-bproc.h} (Resource Allocation (LSF over BPROC) )}{\pageref{ras__lsf__bproc_8h}}{}
\item\contentsline{section}{orte/mca/ras/slurm/\hyperlink{ras__slurm_8h}{ras\_\-slurm.h} (Resource Allocation (SLURM) )}{\pageref{ras__slurm_8h}}{}
\item\contentsline{section}{orte/mca/ras/tm/\hyperlink{ras__tm_8h}{ras\_\-tm.h} (Resource Allocation (TM) )}{\pageref{ras__tm_8h}}{}
\item\contentsline{section}{orte/mca/ras/xgrid/src/\hyperlink{ras__xgrid_8h}{ras\_\-xgrid.h} (Resource Allocation (xgrid) )}{\pageref{ras__xgrid_8h}}{}
\item\contentsline{section}{orte/mca/rds/\hyperlink{rds_8h}{rds.h} (The Open RTE Resource Discovery Subsystem (RDS) )}{\pageref{rds_8h}}{}
\item\contentsline{section}{orte/mca/rds/{\bf rds\_\-types.h} }{\pageref{rds__types_8h}}{}
\item\contentsline{section}{orte/mca/rds/base/\hyperlink{orte_2mca_2rds_2base_2base_8h}{base.h} }{\pageref{orte_2mca_2rds_2base_2base_8h}}{}
\item\contentsline{section}{orte/mca/rds/base/\hyperlink{rds__base__registry__fns_8c}{rds\_\-base\_\-registry\_\-fns.c} }{\pageref{rds__base__registry__fns_8c}}{}
\item\contentsline{section}{orte/mca/rds/base/{\bf static-components.h} }{\pageref{orte_2mca_2rds_2base_2static-components_8h}}{}
\item\contentsline{section}{orte/mca/rds/hostfile/\hyperlink{rds__hostfile_8h}{rds\_\-hostfile.h} (Resource Discovery (Hostfile) )}{\pageref{rds__hostfile_8h}}{}
\item\contentsline{section}{orte/mca/rds/hostfile/{\bf rds\_\-hostfile\_\-lex.h} }{\pageref{rds__hostfile__lex_8h}}{}
\item\contentsline{section}{orte/mca/rds/resfile/\hyperlink{rds__resfile_8h}{rds\_\-resfile.h} (Resource Discovery (Hostfile) )}{\pageref{rds__resfile_8h}}{}
\item\contentsline{section}{orte/mca/rmaps/\hyperlink{rmaps_8h}{rmaps.h} (The Open RTE Resource MAPping Subsystem (RMAPS) )}{\pageref{rmaps_8h}}{}
\item\contentsline{section}{orte/mca/rmaps/{\bf rmaps\_\-types.h} }{\pageref{rmaps__types_8h}}{}
\item\contentsline{section}{orte/mca/rmaps/base/\hyperlink{orte_2mca_2rmaps_2base_2base_8h}{base.h} (Rmaps framework base functionality )}{\pageref{orte_2mca_2rmaps_2base_2base_8h}}{}
\item\contentsline{section}{orte/mca/rmaps/base/\hyperlink{rmaps__base__map_8h}{rmaps\_\-base\_\-map.h} (RMAPS framework base functionality )}{\pageref{rmaps__base__map_8h}}{}
\item\contentsline{section}{orte/mca/rmaps/base/{\bf static-components.h} }{\pageref{orte_2mca_2rmaps_2base_2static-components_8h}}{}
\item\contentsline{section}{orte/mca/rmaps/round\_\-robin/\hyperlink{rmaps__rr_8h}{rmaps\_\-rr.h} (Resource Mapping )}{\pageref{rmaps__rr_8h}}{}
\item\contentsline{section}{orte/mca/rmgr/\hyperlink{rmgr_8h}{rmgr.h} (The Open RTE Resource Manager (RMGR) Subsystem )}{\pageref{rmgr_8h}}{}
\item\contentsline{section}{orte/mca/rmgr/{\bf rmgr\_\-types.h} }{\pageref{rmgr__types_8h}}{}
\item\contentsline{section}{orte/mca/rmgr/base/\hyperlink{orte_2mca_2rmgr_2base_2base_8h}{base.h} }{\pageref{orte_2mca_2rmgr_2base_2base_8h}}{}
\item\contentsline{section}{orte/mca/rmgr/base/\hyperlink{rmgr__base__stage__gate_8c}{rmgr\_\-base\_\-stage\_\-gate.c} }{\pageref{rmgr__base__stage__gate_8c}}{}
\item\contentsline{section}{orte/mca/rmgr/base/\hyperlink{rmgr__base__stubs_8c}{rmgr\_\-base\_\-stubs.c} }{\pageref{rmgr__base__stubs_8c}}{}
\item\contentsline{section}{orte/mca/rmgr/base/{\bf static-components.h} }{\pageref{orte_2mca_2rmgr_2base_2static-components_8h}}{}
\item\contentsline{section}{orte/mca/rmgr/proxy/\hyperlink{rmgr__proxy_8h}{rmgr\_\-proxy.h} (Universal Resource Manager (URM) )}{\pageref{rmgr__proxy_8h}}{}
\item\contentsline{section}{orte/mca/rmgr/urm/\hyperlink{rmgr__urm_8h}{rmgr\_\-urm.h} (Universal Resource Manager (URM) )}{\pageref{rmgr__urm_8h}}{}
\item\contentsline{section}{orte/mca/rml/\hyperlink{rml_8h}{rml.h} (Contains the internal functions and typedefs for the use of the rml )}{\pageref{rml_8h}}{}
\item\contentsline{section}{orte/mca/rml/\hyperlink{rml__types_8h}{rml\_\-types.h} (Contains the typedefs for the use of the rml )}{\pageref{rml__types_8h}}{}
\item\contentsline{section}{orte/mca/rml/base/{\bf base.h} }{\pageref{orte_2mca_2rml_2base_2base_8h}}{}
\item\contentsline{section}{orte/mca/rml/base/{\bf static-components.h} }{\pageref{orte_2mca_2rml_2base_2static-components_8h}}{}
\item\contentsline{section}{orte/mca/rml/cnos/\hyperlink{rml__cnos_8h}{rml\_\-cnos.h} }{\pageref{rml__cnos_8h}}{}
\item\contentsline{section}{orte/mca/rml/oob/\hyperlink{rml__oob_8h}{rml\_\-oob.h} }{\pageref{rml__oob_8h}}{}
\item\contentsline{section}{orte/mca/schema/{\bf schema.h} }{\pageref{schema_8h}}{}
\item\contentsline{section}{orte/mca/schema/{\bf schema\_\-types.h} }{\pageref{schema__types_8h}}{}
\item\contentsline{section}{orte/mca/schema/base/\hyperlink{orte_2mca_2schema_2base_2base_8h}{base.h} (The Open\-RTE Schema )}{\pageref{orte_2mca_2schema_2base_2base_8h}}{}
\item\contentsline{section}{orte/mca/schema/base/\hyperlink{schema__base__fns_8c}{schema\_\-base\_\-fns.c} (Convenience functions for accessing the General Purpose Registry )}{\pageref{schema__base__fns_8c}}{}
\item\contentsline{section}{orte/mca/schema/base/{\bf static-components.h} }{\pageref{orte_2mca_2schema_2base_2static-components_8h}}{}
\item\contentsline{section}{orte/mca/sds/\hyperlink{sds_8h}{sds.h} (The Open MPI Start-up Discovery Service )}{\pageref{sds_8h}}{}
\item\contentsline{section}{orte/mca/sds/base/\hyperlink{orte_2mca_2sds_2base_2base_8h}{base.h} }{\pageref{orte_2mca_2sds_2base_2base_8h}}{}
\item\contentsline{section}{orte/mca/sds/base/{\bf static-components.h} }{\pageref{orte_2mca_2sds_2base_2static-components_8h}}{}
\item\contentsline{section}{orte/mca/sds/bproc/{\bf sds\_\-bproc.h} }{\pageref{sds__bproc_8h}}{}
\item\contentsline{section}{orte/mca/sds/cnos/{\bf sds\_\-cnos.h} }{\pageref{sds__cnos_8h}}{}
\item\contentsline{section}{orte/mca/sds/env/{\bf sds\_\-env.h} }{\pageref{sds__env_8h}}{}
\item\contentsline{section}{orte/mca/sds/pipe/{\bf sds\_\-pipe.h} }{\pageref{sds__pipe_8h}}{}
\item\contentsline{section}{orte/mca/sds/portals\_\-ullc/{\bf sds\_\-portals\_\-utcp.h} }{\pageref{portals__ullc_2sds__portals__utcp_8h}}{}
\item\contentsline{section}{orte/mca/sds/portals\_\-utcp/{\bf sds\_\-portals\_\-utcp.h} }{\pageref{portals__utcp_2sds__portals__utcp_8h}}{}
\item\contentsline{section}{orte/mca/sds/seed/{\bf sds\_\-seed.h} }{\pageref{sds__seed_8h}}{}
\item\contentsline{section}{orte/mca/sds/singleton/{\bf sds\_\-singleton.h} }{\pageref{sds__singleton_8h}}{}
\item\contentsline{section}{orte/mca/sds/slurm/{\bf sds\_\-slurm.h} }{\pageref{sds__slurm_8h}}{}
\item\contentsline{section}{orte/mca/soh/\hyperlink{soh_8h}{soh.h} (The Open MPI State-of-Health Monitoring Subsystem )}{\pageref{soh_8h}}{}
\item\contentsline{section}{orte/mca/soh/{\bf soh\_\-types.h} }{\pageref{soh__types_8h}}{}
\item\contentsline{section}{orte/mca/soh/base/\hyperlink{orte_2mca_2soh_2base_2base_8h}{base.h} }{\pageref{orte_2mca_2soh_2base_2base_8h}}{}
\item\contentsline{section}{orte/mca/soh/base/\hyperlink{soh__base__get__job__soh_8c}{soh\_\-base\_\-get\_\-job\_\-soh.c} }{\pageref{soh__base__get__job__soh_8c}}{}
\item\contentsline{section}{orte/mca/soh/base/\hyperlink{soh__base__get__proc__soh_8c}{soh\_\-base\_\-get\_\-proc\_\-soh.c} }{\pageref{soh__base__get__proc__soh_8c}}{}
\item\contentsline{section}{orte/mca/soh/base/\hyperlink{soh__base__local__functions_8c}{soh\_\-base\_\-local\_\-functions.c} }{\pageref{soh__base__local__functions_8c}}{}
\item\contentsline{section}{orte/mca/soh/base/\hyperlink{soh__base__set__job__soh_8c}{soh\_\-base\_\-set\_\-job\_\-soh.c} }{\pageref{soh__base__set__job__soh_8c}}{}
\item\contentsline{section}{orte/mca/soh/base/\hyperlink{soh__base__set__proc__soh_8c}{soh\_\-base\_\-set\_\-proc\_\-soh.c} }{\pageref{soh__base__set__proc__soh_8c}}{}
\item\contentsline{section}{orte/mca/soh/base/{\bf static-components.h} }{\pageref{orte_2mca_2soh_2base_2static-components_8h}}{}
\item\contentsline{section}{orte/mca/soh/bproc/\hyperlink{soh__bproc_8h}{soh\_\-bproc.h} }{\pageref{soh__bproc_8h}}{}
\item\contentsline{section}{orte/runtime/\hyperlink{orte__finalize_8c}{orte\_\-finalize.c} }{\pageref{orte__finalize_8c}}{}
\item\contentsline{section}{orte/runtime/\hyperlink{orte__init_8c}{orte\_\-init.c} }{\pageref{orte__init_8c}}{}
\item\contentsline{section}{orte/runtime/\hyperlink{orte__init__stage1_8c}{orte\_\-init\_\-stage1.c} }{\pageref{orte__init__stage1_8c}}{}
\item\contentsline{section}{orte/runtime/\hyperlink{orte__init__stage2_8c}{orte\_\-init\_\-stage2.c} }{\pageref{orte__init__stage2_8c}}{}
\item\contentsline{section}{orte/runtime/\hyperlink{orte__monitor_8c}{orte\_\-monitor.c} }{\pageref{orte__monitor_8c}}{}
\item\contentsline{section}{orte/runtime/\hyperlink{orte__restart_8c}{orte\_\-restart.c} }{\pageref{orte__restart_8c}}{}
\item\contentsline{section}{orte/runtime/\hyperlink{orte__setup__hnp_8c}{orte\_\-setup\_\-hnp.c} (Establish a Head Node Process on a cluster's front end )}{\pageref{orte__setup__hnp_8c}}{}
\item\contentsline{section}{orte/runtime/\hyperlink{orte__setup__hnp_8h}{orte\_\-setup\_\-hnp.h} (Establish a Head Node Process on a cluster's front end )}{\pageref{orte__setup__hnp_8h}}{}
\item\contentsline{section}{orte/runtime/\hyperlink{orte__system__finalize_8c}{orte\_\-system\_\-finalize.c} }{\pageref{orte__system__finalize_8c}}{}
\item\contentsline{section}{orte/runtime/\hyperlink{orte__system__init_8c}{orte\_\-system\_\-init.c} }{\pageref{orte__system__init_8c}}{}
\item\contentsline{section}{orte/runtime/\hyperlink{orte__universe__exists_8c}{orte\_\-universe\_\-exists.c} (Setup command line options for the Open MPI Run Time Environment )}{\pageref{orte__universe__exists_8c}}{}
\item\contentsline{section}{orte/runtime/\hyperlink{orte__wait_8h}{orte\_\-wait.h} (Interface for waitpid / async notification of child death with the libevent runtime system )}{\pageref{orte__wait_8h}}{}
\item\contentsline{section}{orte/runtime/\hyperlink{runtime_8h}{runtime.h} (Interface into the Open MPI Run Time Environment )}{\pageref{runtime_8h}}{}
\item\contentsline{section}{orte/runtime/\hyperlink{runtime__internal_8h}{runtime\_\-internal.h} (Internal Run-Time interface functionality )}{\pageref{runtime__internal_8h}}{}
\item\contentsline{section}{orte/runtime/\hyperlink{runtime__types_8h}{runtime\_\-types.h} (Types for interface into the Open MPI Run Time Environment )}{\pageref{runtime__types_8h}}{}
\item\contentsline{section}{orte/tools/orted/{\bf orted.h} }{\pageref{orted_8h}}{}
\item\contentsline{section}{orte/tools/orteprobe/{\bf orteprobe.h} }{\pageref{orteprobe_8h}}{}
\item\contentsline{section}{orte/tools/orterun/{\bf orterun.h} }{\pageref{orterun_8h}}{}
\item\contentsline{section}{orte/tools/orterun/{\bf totalview.h} }{\pageref{orte_2tools_2orterun_2totalview_8h}}{}
\item\contentsline{section}{orte/util/\hyperlink{proc__info_8h}{proc\_\-info.h} (Populates global structure with process-specific information )}{\pageref{proc__info_8h}}{}
\item\contentsline{section}{orte/util/\hyperlink{session__dir_8h}{session\_\-dir.h} (Find and/or create Open MPI session directory )}{\pageref{session__dir_8h}}{}
\item\contentsline{section}{orte/util/\hyperlink{sys__info_8h}{sys\_\-info.h} (Populates global structure with system-specific information )}{\pageref{sys__info_8h}}{}
\item\contentsline{section}{orte/util/\hyperlink{univ__info_8h}{univ\_\-info.h} (Populates global structure with system-specific information )}{\pageref{univ__info_8h}}{}
\item\contentsline{section}{orte/util/{\bf universe\_\-setup\_\-file\_\-io.h} }{\pageref{universe__setup__file__io_8h}}{}
\end{CompactList}
